alsa-utils (1.1.3-1ubuntu1) zesty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
      + Set reasonable volume levels for VMWare guests using snd.ens1371
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Add Vcs-Bzr field
    - Put the daemon file in /var/lib/alsa
    - Create /run/alsa directory so that systemd services don't fail

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Feb 2017 08:48:13 +1100

alsa-utils (1.1.3-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * New upstream release.
  * Bumped debhelper compatibility level to 10.
  * Changed debian/compat accordingly.
  *  Remove --with autoreconf from calls to dh.
     With Debhelper compat level 10 the autoreconf sequence is enabled by
     default.
  * Drop Build-Depends on dh-autoreconf.
  * Applied wrap-and-sort.
  * Updated changelog.ALSA.
  * Removed unused lintian-override.
  * Introduced do-not-check-for-sys-kernel-uevent_helper.patch. alsactl checks
    for /sys/kernel/uevent_helper which is deprecated on newer systems and not
    provided by Debian kernels. The error message is confusing. [closes: 807032]
  * systemd_restore_condition.patch puts
    ConditionPathExists=/var/lib/alsa/asound.state to
    /lib/system/systemd/alsa-store.service. On a fresh install asound.state
    doesn't exist. The service doesn't run. Skip the patch. Thanks to Dan
    Jacobson for the hint. [closes: 851227]

  [ Jordi Mallach ]
  * Use HTTPS in Homepage and copyright-format URLs.
  * Also drop Build-Depends on autopoint, not needed with dh v10.

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Jan 2017 01:08:39 +0100

alsa-utils (1.1.2-1ubuntu1) yakkety; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
      + Set reasonable volume levels for VMWare guests using snd.ens1371
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Add Vcs-Bzr field
    - Put the daemon file in /var/lib/alsa
    - Create /run/alsa directory so that systemd services don't fail
    - Stop applying systemd_restore_condition.patch
  * Drop upstart files, Debian doesn't carry them, and we use systemd for
    init

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 08 Aug 2016 12:08:22 +1000

alsa-utils (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Updated changelog.ALSA
  * Formatted debian/copyright as DEP5.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Wed, 03 Aug 2016 16:55:45 +0200

alsa-utils (1.1.1-1ubuntu1) yakkety; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #1246892)
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
      + Set reasonable volume levels for VMWare guests using snd.ens1371
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Use upstart jobs for storing/restoring card settings
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Add Vcs-Bzr field
    - Create a new upstart job for the alsa state daemon, and adjust the
      other upstart jobs accordingly
    - Put the daemon file in /var/lib/alsa
    - Create /run/alsa directory so that systemd services don't fail
    - Stop applying systemd_restore_condition.patch   

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 27 Jun 2016 13:34:49 +1000

alsa-utils (1.1.1-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * New upstream release.
  * Removed invalid paragraph about upstreams bugtracker from copyright.
    (closes: 822324)
  * Corrected download link in copyright.
  * Enabled hardening=+all
  * Cancel alsabat.patch. Applied upstream.
  * Install alsabat-test.sh as alsabat-test, without a suffix.
  * Bump Standards-Version to 3.9.8.
  * Introduced git log as upstreams changelog.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 08 May 2016 17:19:55 +0200

alsa-utils (1.1.0-2ubuntu1) yakkety; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #1246892)
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
      + Set reasonable volume levels for VMWare guests using snd.ens1371
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Use upstart jobs for storing/restoring card settings
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Add Vcs-Bzr field
    - Create a new upstart job for the alsa state daemon, and adjust the
      other upstart jobs accordingly
    - Put the daemon file in /var/lib/alsa
    - Create /run/alsa directory so that systemd services don't fail
    - Stop applying systemd_restore_condition.patch

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 27 Apr 2016 16:37:31 +0200

alsa-utils (1.1.0-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Introduced alsabat.patch to solve name conflict for bat binary and manpage.
    The new binary and manpage name is alsabat. Patch was cherry picked from
    alsa-utils git repo. Thanks to "Lu, Han" <han.lu@intel.com>.
    [closes: #813473, #813479, #813528, #813563]

 -- Elimar Riesebieter <riesebie@lxtec.de>  Thu, 04 Feb 2016 08:43:51 +0100

alsa-utils (1.1.0-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Pass --with-alsactl-home-dir=/run/alsa to configure to provide the sockets
    even /var is mounted from a separated partition. [closes: #800342)

  [ Luke Yelavich ]
  * New upstream release
  * Update changelog.ALSA
  * debian/control: Add libfftw3-dev build dependency
  * Refresh systemd patches

  [ Jordi Mallach ]
  * Use https for Vcs-Browser.
  * Install alsa-info.sh as alsa-info, without a suffix.

 -- Jordi Mallach <jordi@debian.org>  Tue, 02 Feb 2016 00:12:38 +0100

alsa-utils (1.1.0-0ubuntu5) xenial; urgency=medium

  * Stop applying systemd_restore_condition.patch. On pure ALSA systems
    this prevents alsa volume state from being saved to disk on shutdown
    or reboot. (LP: #1567993)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 15 Apr 2016 09:28:51 +1000

alsa-utils (1.1.0-0ubuntu4) xenial; urgency=medium

  * Add patch from Upstream/Debian to rename the bat command to fix
    package conflicts (LP: #1569071)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 12 Apr 2016 09:33:00 +1000

alsa-utils (1.1.0-0ubuntu3) xenial; urgency=medium

  * Create the /run/alsa directory before running alsactl, so that alsactl
    doesn't fail (LP: #1567993)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 11 Apr 2016 11:25:20 +1000

alsa-utils (1.1.0-0ubuntu2) xenial; urgency=medium

  * Reinstate accidentally dropped patches, thanks to David for pointing them
    out (LP: #1534157)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 15 Jan 2016 10:50:16 +1100

alsa-utils (1.1.0-0ubuntu1) xenial; urgency=medium

  [ Elimar Riesebieter ]
  * Pass --with-alsactl-home-dir=/run/alsa to configure to provide the sockets
    even /var is mounted from a seperated partition. [closes: #800342)

  [ Luke Yelavich ]
  * New upstream release
  * Update changelog.ALSA
  * debian/control: Add libfftw3-dev build dependency
  * Refresh systemd patches

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 04 Jan 2016 13:53:58 +1100

alsa-utils (1.0.29-1ubuntu1) xenial; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #1246892)
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
      + Set reasonable volume levels for VMWare guests using snd.ens1371
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Use upstart jobs for storing/restoring card settings
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Add Vcs-Bzr field
    - Create a new upstart job for the alsa state daemon, and adjust the
      other upstart jobs accordingly
    - Put the daemon file in /var/lib/alsa

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 28 Oct 2015 14:37:44 +1100

alsa-utils (1.0.29-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * Add udev_test_alsactl.patch: add a test to the udev ruleset to check
    for /usr/sbin/alsactl, as it might not be available at boot time on
    separate /usr systems (closes: #713916).
  * Add Luke Yelavich to Uploaders.
  * Bump Standards-Version to 3.9.6.

  [ Luke Yelavich ]
  * New upstream release
  * Refreshed patches:
    - alsactl_home.patch
  * Update changelog.ALSA

 -- Jordi Mallach <jordi@debian.org>  Thu, 02 Jul 2015 14:15:00 +0200

alsa-utils (1.0.29-0ubuntu1) wily; urgency=medium

  [ Jordi Mallach ]
  * Add udev_test_alsactl.patch: add a test to the udev ruleset to check
    for /usr/sbin/alsactl, as it might not be available at boot time on
    separate /usr systems.

  [ Luke Yelavich ]
  * New upstream release
  * Refreshed patches:
    - alsactl_home.patch
  * Update changelog.ALSA

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 01 Jun 2015 20:14:25 +1000

alsa-utils (1.0.28-1ubuntu2) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Fri, 12 Dec 2014 06:54:30 -0800

alsa-utils (1.0.28-1ubuntu1) utopic; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #1246892)
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
      + Set reasonable volume levels for VMWare guests using snd.ens1371
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Use upstart jobs for storing/restoring card settings
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Add Vcs-Bzr field
    - Create a new upstart job for the alsa state daemon, and adjust the
      other upstart jobs accordingly
    - Put the daemon file in /var/lib/alsa

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 29 Jul 2014 13:22:10 +1000

alsa-utils (1.0.28-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * Dropped patches, applied upstream:
    - aplay_fix_off_by_one_errors.patch
    - systemd_service_typo.patch
  * Refreshed patches:
    - alsactl_home.patch
    - systemd_restore_condition.patch

  [ Jordi Mallach ]
  * Drop Recommends on alsa-base and tighten kmod dependency to >= 17-1~
    (closes: #747074).
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * New patch systemd_standardoutput.patch: do not define StandardOutput,
    just rely on the system's configured output (closes: #741123).

 -- Jordi Mallach <jordi@debian.org>  Fri, 04 Jul 2014 20:06:25 +0100

alsa-utils (1.0.27.2-1ubuntu3) utopic; urgency=medium

  * Add alsa-utils compatibility job for startpar (equivalent of /dev/null
    symlink of the systemd unit). (LP: #1323274)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 May 2014 08:45:11 +0200

alsa-utils (1.0.27.2-1ubuntu2) trusty; urgency=medium

  * Forgot to add an env declaration for an environment variable to the
    upstart files. (LP: #1269731)
  * debian/patches/work_around_ncurses_weirdness.patch:
    - Work around some ncurses pkg-config changes for now, not sure if ncurses
      upstream intended the include dir changes, or whether its a bug. Fixes
      FTBFs.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 17 Jan 2014 15:08:13 +1100

alsa-utils (1.0.27.2-1ubuntu1) trusty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #1246892)
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
      + Set reasonable volume levels for VMWare guests using snd.ens1371
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Use upstart jobs for storing/restoring card settings
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Add Vcs-Bzr field
    - Create a new upstart job for the alsa state daemon, and adjust the
      other upstart jobs accordingly
    - Put the daemon file in /var/lib/alsa
  * Adjust the upstart job files to work with the alsactl home directory
  * Extend unset_pulse_internal.patch to prevent pulseaudio from influencing
    alsactl as well
  * debian/patches/fix_alsa_udev_rules.patch: Patch from upstream to fix
    slightly broken udev rules, allowing individual card settings to properly
    be restored/stored. (LP: #1268301)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 14 Jan 2014 14:44:10 +1100

alsa-utils (1.0.27.2-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches: all were git cherrypicks.
  * Add aplay_fix_off_by_one_errors.patch from git: fix two off by one
    errors in aplay that prevented usage of the last available sample format.
  * Add systemd_service_typo.patch from git: fix typo in service file.
  * Add alsactl_home.patch: Add a new configure switch that allows one to
    configure the value of $HOME for alsactl invocations.
  * Pass --with-alsactl-home-dir=/var/run/alsa to configure, to avoid
    autospawned pulseaudio littering / (closes: #712980).
  * Hardcode the same in the sysvinit script.
  * Add systemd_restore_condition.patch: Check for the existance of the
    asound.state file before trying to restore anything.

 -- Jordi Mallach <jordi@debian.org>  Sat, 19 Oct 2013 12:11:26 +0200

alsa-utils (1.0.27.1-1ubuntu1) saucy; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
      + Set reasonable volume levels for VMWare guests using snd.ens1371
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Use upstart jobs for storing/restoring card settings
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Add Vcs-Bzr field
  * Create a new upstart job for the alsa state daemon, and adjust the
    other upstart jobs accordingly
  * Put the daemon file in /var/lib/alsa

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 26 Jul 2013 10:56:44 +1000

alsa-utils (1.0.27.1-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches: all applied upstream.
  * Add fix_hctl_elem_search.patch from git: fix hctl searching in amixer
    (closes: #710059)
  * Add revert_removal_udev_rules.patch: revert erroneous removal of udev
    rules from the tarball.
  * Build-Depend on and use dh-autoreconf and autopoint for the above change.
  * Mark alsa-utils Multi-Arch: foreign (closes: #710185).

 -- Jordi Mallach <jordi@debian.org>  Wed, 29 May 2013 12:16:24 +0200

alsa-utils (1.0.27-3) unstable; urgency=low

  * alsa-restore_service_improvements.patch: dropped. Our assumption was
    wrong and there's nothing to fix.
  * Rebuilding against current alsa-lib fixes alsa-utils-udeb dependencies
    (closes: #708353).
  * Mark all patches as forwarded and applied.

 -- Jordi Mallach <jordi@debian.org>  Fri, 17 May 2013 14:10:42 +0200

alsa-utils (1.0.27-2) unstable; urgency=low

  * Upload to unstable.
  * Include all included programs in alsa-utils' description.

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 May 2013 12:58:00 +0200

alsa-utils (1.0.27-1) experimental; urgency=low

  * New upstream release.
  * Bump libasound2-dev requirement to 1.0.27, for snd_pcm_abort().
  * Pass --with-systemdsystemunitdir=/lib/systemd/system to configure.
  * Drop udev_test_alsactl.patch: obsolete.
  * Don't call dh_installinit with static runlevel info. This is all
    managed via the LSB headers in the init script.
  * Add utils_ftbfs_format-security_fix.patch: fix a format-string FTBFS.
  * Add alsa-restore_typo.patch: from Git; fix typo oneshop → oneshot.
  * Add alsa-restore_service_improvements.patch: start restore after
    sysinit, to ensure it's run after local-fs.target.
  * Add alsactl_lock_underflow.patch: from Git; fix underflow in alsactl.
  * Add manpage_fixes.patch: formatting and spelling fixes (lintian).
  * Use default compression for source package.
  * Drop pciutils recommends, it was needed for alsaconf.

 -- Jordi Mallach <jordi@debian.org>  Sat, 04 May 2013 01:39:32 +0200

alsa-utils (1.0.26-1) experimental; urgency=low

  * New upstream release.
    - fixes typos in aplay's manpage (closes: #658762).
  * Drop aseqnet_manpage_errors.patch, applied upstream.
  * Build-Depend on pkg-config, for improved ncurses test (closes: #695316).
  * Bump Standards-Version to 3.9.4, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Mon, 01 Apr 2013 23:02:11 -0500

alsa-utils (1.0.25-4ubuntu2) raring; urgency=low

  * debian/control: Mark alsa-utils Multi-Arch foreign.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 28 Feb 2013 13:47:50 +1100

alsa-utils (1.0.25-4ubuntu1) raring; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
      + Set reasonable volume levels for VMWare guests using snd.ens1371
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Use upstart jobs for storing/restoring card settings
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Add Vcs-Bzr field
    - Backport upstrea fix to use ncurses pkg-config first.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 31 Jan 2013 12:18:02 +1100

alsa-utils (1.0.25-4) unstable; urgency=low

  * Remove debian/set-default-soundcard which hasn't been installed since
    1.0.10rc1-1, in 2005.
  * Restore the installation of the upstream udev rules file.
  * Drop debian/udev.{rules,script} entirely and just rely on upstream's
    simpler udev rule file. Our rules were wrong or pointless.
  * udev_test_alsactl.patch: include a TEST=="/usr/sbin/alsactl" in the
    upstream udev rule, to properly fix the state restoring for users
    with split /usr filesystems (really addresses: #670490).
    Many thanks to Michael Biebl for analysis and proposed fix.
  * Stop removing /lib/udev/rules.d stuff on purge, as that is dpkg-owned.

 -- Jordi Mallach <jordi@debian.org>  Thu, 10 Jan 2013 01:54:13 +0100

alsa-utils (1.0.25-3ubuntu4) raring; urgency=low

  * Backport upstream patch to look for ncurses pkg-config first, fixing
    cross-building.
  * Use dh-autoreconf to help apply the above patch; this can be reverted
    once 1.0.26 is packaged if Debian has not adopted dh-autoreconf for some
    other reason.
  * Switch dependency back to kmod, since that's in raring.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Dec 2012 23:56:32 +0000

alsa-utils (1.0.25-3ubuntu3) raring; urgency=low

  [ Luke Yelavich ]
  * debian/control: Update Vcs-Bzr field for raring

  [ Marcin Juszkiewicz ]
  * Added Samsung Chromebook support into 90-alsa-ucm.rules

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Sat, 01 Dec 2012 16:52:20 +0100

alsa-utils (1.0.25-3ubuntu2) quantal; urgency=low

  * debian/*.upstart: Point to /usr/sbin. This was forgotten in the recent
    alsa-utils merge, where using /sbin for alsa-utils binaries was reverted.
  * debian/control: Update Vcs-Bzr field.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 13 Aug 2012 14:54:36 +1000

alsa-utils (1.0.25-3ubuntu1) quantal; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
      + Set reasonable volume levels for VMWare guests using snd.ens1371
    - ship udev rules file in /lib/udev/rules.d
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Use upstart jobs for storing/restoring card settings
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Add Vcs-Bzr field
  * Depend on module-init-tools, quantal doesn't have kmod.
  * Panda board card name references have been changed in newer kernels,
    so use them.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 09 Aug 2012 19:18:34 +1000

alsa-utils (1.0.25-3) unstable; urgency=low

  * Handle addition and removal of soundcards, so sound levels are
    restored. Thanks Vincent Bernat for the suggestion (closes: #670490).
  * Replace hardcoded configure call with dh_auto_configure, and remove
    default flags handled by debhelper.
  * Bump Standards-Version to 3.9.3, with no changes needed.
  * Drop dependency on linux-sound-base: it is going away, and was only
    required for alsaconf's black magic.

 -- Jordi Mallach <jordi@debian.org>  Sun, 20 May 2012 02:59:16 +0200

alsa-utils (1.0.25-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Depend on kmod, not module-init-tools (thanks, Markus Waldeck).
    (Closes: #666065)

  [ Martin Pitt ]
  * debian/control: Remove myself from Uploaders:, I'm not really
    co-maintaining this package.

  [ Elimar Riesebieter ]
  * Make sure switch_control "Audigy Analog/Digital Output Jack" isn't set to on
    in /usr/share/alsa/utils.sh. (Closes: #667743)

 -- Jordi Mallach <jordi@debian.org>  Thu, 12 Apr 2012 09:47:01 +0200

alsa-utils (1.0.25-1ubuntu5) precise; urgency=low

  * Add init configuration for the audio hardware vmware emulates to work
    around incorrect dB values reported by the driver. Longer term this does
    need to be fixed in the driver, but we need working audio for vmware
    guests out of the box, and the changes required to the driver are likely
    too intrusive to make at this late stage of the release cycle.
    (LP: #927459)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 04 Apr 2012 14:08:03 +1000

alsa-utils (1.0.25-1ubuntu4) precise; urgency=low

  * Do a proper removal of alsa-mixer-save.conf, so that it doesn't remain
    listed as an obsolete conffile on upgrade.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Mar 2012 23:27:15 -0700

alsa-utils (1.0.25-1ubuntu3) precise; urgency=low

  * add tegraalc5632 to the 90-alsa-ucm.rules file so the new ucm rules for 
    alc5632 codec based machines (i.e. the ac100) get applied by default

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 07 Mar 2012 15:18:10 +0100

alsa-utils (1.0.25-1ubuntu2) precise; urgency=low

  * Adjust the ucm udev rule for Pandaboards to reflect the PandaES device 
    name changes, thanks to Tobin Davis <gruemaster@gmail.com> for this fix.
    (LP: #880929)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 24 Feb 2012 18:56:28 +0100

alsa-utils (1.0.25-1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Move alsactl to sbin
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
    - ship udev rules file in /lib/udev/rules.d
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Use upstart jobs for storing/restoring card settings
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Install alsa udev rules, at the least they are needed for hotplugged
      devices
    - Add Vcs-Bzr field

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Feb 2012 13:44:24 +1100

alsa-utils (1.0.25-1) unstable; urgency=low

  * New upstream release.
  * Update debian/changelog.ALSA.
  * Drop alsamixer_libxch1.patch, accepted upstream.
  * Drop speaker-test.1_improvements.patch, applied upstream.
  * Drop aplay_interactive.patch, applied upstream.
  * Build-Depend on libasound2-dev (>= 1.0.25).
  * Remove obsolete PATCHES.Debian.
  * Use watch file version 3, and don't uupdate.
  * Run source package through wrap-and-sort.
  * Bump to debhelper 9.
  * Rewrite rules using dh.
  * Remove shebang from utils.sh. It is meant to be sourced.
  * Update spelling_fixes.patch with new fix.
  * Fix override file.

 -- Jordi Mallach <jordi@debian.org>  Sun, 12 Feb 2012 02:10:57 +0100

alsa-utils (1.0.25-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release
  * Updated changelog.ALSA
  * Dropped patches, applied upstream:
    - debian/patches/speaker-test.1_improvements.patch
    - debian/patches/aplay_interactive.patch
    - debian/patches/0001-alsactl-init-Mute-CD-Playback-volume-by-default.patch
    - debian/patches/3bea722b-alsamixer-fix-64-bit.patch
    - debian/patches/0001-alsactl-Initialize-Front-Speaker-etc.patch
    - debian/patches/0002-Alsa-utils-Fix-typo-causing-some-volumes-not-to-be-i.patch
  * Refreshed remaining patches.
  * debian/control: Bump libasound2 dependency to >= 1.0.25.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 08 Feb 2012 19:09:33 +1100

alsa-utils (1.0.25-1) unstable; urgency=low

  * New upstream release.
  * Update debian/changelog.ALSA.
  * Drop alsamixer_libxch1.patch, accepted upstream.
  * Drop speaker-test.1_improvements.patch, applied upstream.
  * Drop aplay_interactive.patch, applied upstream.
  * Build-Depend on libasound2-dev (>= 1.0.25).
  * Remove obsolete PATCHES.Debian.
  * Use watch file version 3, and don't uupdate.
  * Run source package through wrap-and-sort.
  * Bump to debhelper 9.
  * Rewrite rules using dh.
  * Remove shebang from utils.sh. It is meant to be sourced.
  * Update spelling_fixes.patch with new fix.
  * Fix override file.

 -- Jordi Mallach <jordi@debian.org>  Sun, 12 Feb 2012 02:10:57 +0100

alsa-utils (1.0.24.2-5) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Introduce alsamixer_libxch1.patch from upstream to fix a linking
    clash for shutdown(). (Closes: #657342, #657538)

 -- Jordi Mallach <jordi@debian.org>  Sat, 28 Jan 2012 15:37:07 +0100

alsa-utils (1.0.24.2-4ubuntu3) precise; urgency=low

  * Add more volumes to be initialized, taken from 
    upstream git (LP: #914841)

 -- David Henningsson <david.henningsson@canonical.com>  Fri, 13 Jan 2012 10:31:09 +0100

alsa-utils (1.0.24.2-4ubuntu2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:32:34 -0700

alsa-utils (1.0.24.2-4ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Move alsactl to sbin
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
    - ship udev rules file in /lib/udev/rules.d
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Use upstart jobs for storing/restoring card settings
    - Include several changes from upstream git master:
      + upstream git changesets:
      + dcb90a77 - Use "Found hardware:" instead "Unknown hardware:"
      + 7f6a55e2 - use "generic method" instead "guess method"
      + 52bd2f8a - Handle "Capture Source" and "Mic Boost"
      + ef919a47 - Initialize also "Master Front Playback Volume" & "Switch"
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
    - Install alsa udev rules, at the least they are needed for hotplugged
      devices
  * Really fix up the Vcs-Bzr field for precise

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 27 Oct 2011 14:35:27 +1100

alsa-utils (1.0.24.2-4) unstable; urgency=low

  [ Daniel T Chen ]
  * debian/control: Add libsamplerate-dev build-dependency for alsaloop.
    (LP: #868734)

  [ Jordi Mallach ]
  * Update Vcs-* fields to non-redirected URLs.

 -- Jordi Mallach <jordi@debian.org>  Sat, 15 Oct 2011 00:21:19 +0200

alsa-utils (1.0.24.2-3ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Move alsactl to sbin
    - Move init script volume settings to new alsactl database:
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
    - ship udev rules file in /lib/udev/rules.d
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - Use upstart jobs for storing/restoring card settings
    - Include several changes from upstream git master:
      + upstream git changesets:
      + dcb90a77 - Use "Found hardware:" instead "Unknown hardware:"
      + 7f6a55e2 - use "generic method" instead "guess method"
      + 52bd2f8a - Handle "Capture Source" and "Mic Boost"
      + ef919a47 - Initialize also "Master Front Playback Volume" & "Switch"
    - Add udev rule to apply UCM profiles for panda and equivalent hardware
  * Install alsa udev rules, at the least they are needed for hotplugged
    devices
  * Build-dep on libsamplerate-dev, so alsaloop works properly

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Oct 2011 11:00:06 +1100

alsa-utils (1.0.24.2-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Remove alsactl's native installed udev rule. Hopefully closes: #636437
    really now.

 -- Jordi Mallach <jordi@debian.org>  Fri, 09 Sep 2011 01:44:22 +0200

alsa-utils (1.0.24.2-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Add aplay_interactive.patch from Takashi Iwai to revert a behaviour
    change in aplay which broke festival and possibly other scripts, while
    retaining the new interactive functionality via a new -i option
    (closes: #638369).

  [ Elimar Riesebieter ]
   * Don't install udev rules. It is not needed to run alsactl. Instead make
     init depend on "mountall" to make sure /usr and /var is mounted for
     running alsactl.  (Closes: #636437)
   * Added "build-arch: build ; build-indep: build" to rules to satisfy lintian.
   * Install utils.sh executable

 -- Jordi Mallach <jordi@debian.org>  Mon, 05 Sep 2011 22:11:57 +0200

alsa-utils (1.0.24.2-1) unstable; urgency=low

  * New upstream release.
    - allows control of "Auto-Mute Mode" (see #631963).
  * Pass --disable-alsaconf to configure to disable alsaconf in a sane way.
  * Replace move_asound_state_to_var.patch with --with-asound-state-dir.
  * Bump Build-Depends on alsa-lib to >= 1.0.24.1, for alsa/use-case.h.
    You would expect configure.in checks for this, right?
  * Bump to debhelper compat v8.
  * Tweak description.
  * Drop unneeded README.source.
  * Add patch from Javi Fernández-Sanguino Peña to improve the
    speaker-test(1) manpage with usage examples. Thanks! Closes: #620513.
  * Define _GNU_SOURCE to fix a build failure in alsaloop.
  * Avoid having the same short description for the main and udeb packages.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Jul 2011 13:10:03 +0200

alsa-utils (1.0.24.2-0ubuntu8) oneiric; urgency=low

  * 90-alsa-ucm.rules: Trigger on ATTRS{id}=="SDP4430|Panda" (LP: #746023)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 29 Sep 2011 12:02:39 -0600

alsa-utils (1.0.24.2-0ubuntu7) oneiric; urgency=low

  [ David Henningsson ]
  * Fix the UCM SDP4430 udev rule so it actually runs alsaucm (LP: #803448)

  [ Daniel T Chen ]
  * Add upstream changes: 3bea722b-alsamixer-fix-64-bit.patch,
    471191ab-speaker-test.1.patch, 8709ffe8-amixer-fix-tlv.patch

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 11 Aug 2011 08:12:34 +1000

alsa-utils (1.0.24.2-0ubuntu6) natty; urgency=low

  * add udev rule to initialize SDP4430 (TI omap4 pandaboard)
    with proper defaults with the alsa use case manager (LP: #746023)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Apr 2011 13:20:33 +0200

alsa-utils (1.0.24.2-0ubuntu5) natty; urgency=low

  * Remove omap4 alsa init configuration files, as its likely to conflict with
    UCM (LP: #760571)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 14 Apr 2011 21:34:58 +1000

alsa-utils (1.0.24.2-0ubuntu4) natty; urgency=low

  [ David Henningsson ]
  * Mute CD playback volume by default (LP: #747184)

  [ Marcin Juszkiewicz ]
  * Fixed postinst to not fail on fresh installs. (LP: #753544)

 -- David Henningsson <david.henningsson@canonical.com>  Mon, 04 Apr 2011 11:49:36 +0200

alsa-utils (1.0.24.2-0ubuntu3) natty; urgency=low

  * debian/postinst: Make sure /etc/init/alsa-mixer-save.conf exists before
    trying to remove it (LP: #737738)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 23 Mar 2011 08:50:12 +1100

alsa-utils (1.0.24.2-0ubuntu2) natty; urgency=low

  * Remove '(mounted MOUNTPOINT=/usr) and (mounted MOUNTPOINT=/var)' from
    /etc/init/alsa-restore.conf's 'start on' condition.  Not only is this
    redundant, because runlevel [2345] already implies that /usr and /var
    have been mounted, but it deadlocks mountall in the event of /usr and
    /var both being separate filesystems (LP: #723482).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Mar 2011 00:43:01 +0000

alsa-utils (1.0.24.2-0ubuntu1) natty; urgency=low

  [ David Henningsson ]
  * New upstream release.
  * Drop our own alsa mixer init script and udev rule, in favour of upstream's
    alsactl. Move most existing volume settings to the alsactl database. 
  * Dropped patches:
    - move_asound_state_to_var.patch
    - remove_alsaconf.patch
    - alsactl_init_update_to_52bd2f8a_head.patch
  * debian/rules: Call configure with --disable-alsaconf argument.
  * debian/patches/alsactl_sbin.patch: Adjust upstream udev rule to call
    alsactl in /sbin.

  [ Luke Yelavich ]
  * Create 2 new upstart jobs for storing, and restoring alsa mixer levels, to
    perform the same functionality as the systemd jobs used by RedHat et al.
  * Remove or clean up files:
    - debian/dirs
    - debian/init
    - debian/udev.*
  * debian/control: Build depend on libasound2-dev >= 1.0.24.1
  * debian/postinst: Remove alsa-mixer-save.conf on upgrade
  * debian/changelog.ALSA: Updated
  * debian/rules: No need to run the alsa upstart jobs on package
    install/upgrade

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 22 Feb 2011 15:56:54 +1100

alsa-utils (1.0.23-5) unstable; urgency=low

  [ Jordi Mallach ]
  * Switch to architecture wildcard 'linux-any'.

  [ Elimar Riesebieter ]
  * Provide alsa-utils-udeb based on a patch from Samuel Thibault. Thanks.
    (closes: #613103)
  * unmute_and_set_level "Master Front" "80%". Thanks Samuel Thibault. 
    (closes: #617347)

  [ Jordi Mallach ]
  * Add Section: debian-installer to new udeb.
  * Remove obsolete conflicts.
  * Bump Standards-Version to 3.9.2 (no further changes). 

 -- Jordi Mallach <jordi@debian.org>  Tue, 03 May 2011 13:58:35 +0200

alsa-utils (1.0.23-4) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Update the alsa-utils init script to use POSIX command substitution $()
    instead of backtics (``). Thanks Jari Aalto. (closes: #602020)
  * unmute_and_set_level "LFE" "80%" for MacBook5,2 (closes: #602973)
  * unmute_and_set_level "Speaker" "80%" for Intel 82801H. Thanks to Attila
    Hammer for testing. (closes: #603550)
  * Added armhf to the supported archs. (closes: #604650, #623183)
  * Bumped Standards-Version to 3.9.1. No changes

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Apr 2011 19:55:33 +0200

alsa-utils (1.0.23-3ubuntu1) natty; urgency=low

  [ Luke Yelavich ]
  * Merge from debian unstable.  Remaining changes:
    - debian/init:
      + wait until /usr/bin and /var/lib/alsa exist
      + only display an error when dealing with alsactl if there is no card
        specified
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + update lsb header to indicate no running of the script unless the
        udev rule is run
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Don't muck with sound card state if alsactl restore fails
      + Don't wait for 1 second after alsactl store
      + Stop muting on reboot/shutdown
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
    - debian/rules:
      + ship udev rules file in /lib/udev/rules.d
      + Do not install start symlinks for the alsa-utils init script, it gets
        run from a udev rule
    - debian/udev.script: do not use hotplug functions
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - debian/patches/fix_misspelling_speaker-test_man_page.patch: Fix
      misspelling in speaker-test(1)
    - Remove alsaconf from build system and remove po files
    - Create an upstart job specifically saving mixer levels to resolve race
    - Version build-dep to upstart-aware debhelper.
    - Move the initscript into /sbin. We now have an upstart job just for
      handling alsactl store
    - Include several changes from upstream git master:
      + upstream git changesets:
      + dcb90a77 - Use "Found hardware:" instead "Unknown hardware:"
      + 7f6a55e2 - use "generic method" instead "guess method"
      + 52bd2f8a - Handle "Capture Source" and "Mic Boost"
      + ef919a47 - Initialize also "Master Front Playback Volume" & "Switch"

  [ Oliver Grawert ]
  * debian/patches/add_omap4_support.patch: [adds support for the OMAP4
    Pandaboard as well as for the OMAP4 Blaze SDP4430 SoC]
  * debian/init add a separate call to alsactl init in case an SDP4430 or
    OMAP4 Pandaboard is detected. This ASoC driver requires explicit
    initialization currently (LP: #637947)

  [ Daniel T Chen ]
  * debian/init: Fix naming of script (LP: #654902)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 19 Oct 2010 16:22:41 +1100

alsa-utils (1.0.23-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * unmute_and_set_level "Front Speaker" "80%" for MacBookPro. (closes: #597791)

 -- Jordi Mallach <jordi@debian.org>  Thu, 14 Oct 2010 20:15:43 +0200

alsa-utils (1.0.23-2ubuntu3) maverick; urgency=low

  * debian/udev.script: Use 'alsa-utils', not 'alsactl' directly
    (LP: #645869)

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 23 Sep 2010 06:10:30 -0400

alsa-utils (1.0.23-2ubuntu2) maverick; urgency=low

  * debian/init: Restore change from 1.0.21-1ubuntu2 lost during merge
    that skips muting and zeroing levels prior to shutdown/reboot,
    which was a hack for broken drivers.  This change closes LP: #21804,
    LP: #208920, #227505, #360108, #432660, #449783, #553132, #564472,
    LP: #584609, #592016, #596360, #613054, #617516, #622487, #632019.
  * debian/patches/alsactl_init_update_to_52bd2f8a_head.patch: Add
    upstream git changesets:
    dcb90a77 - Use "Found hardware:" instead "Unknown hardware:"
    7f6a55e2 - use "generic method" instead "guess method"
    52bd2f8a - Handle "Capture Source" and "Mic Boost"
    ef919a47 - Initialize also "Master Front Playback Volume" & "Switch"
    (yes, this last changeset is included despite the patch filename)

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 05 Sep 2010 11:57:59 -0400

alsa-utils (1.0.23-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/init:
      + wait until /usr/bin and /var/lib/alsa exist
      + only display an error when dealing with alsactl if there is no card
        specified
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + update lsb header to indicate no running of the script unless the
        udev rule is run
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Don't muck with sound card state if alsactl restore fails 
      + Don't wait for 1 second after alsactl store
      + Stop muting on reboot/shutdown
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
    - debian/rules:
      + ship udev rules file in /lib/udev/rules.d
      + Do not install start symlinks for the alsa-utils init script, it gets
        run from a udev rule
    - debian/udev.script: do not use hotplug functions
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - debian/patches/fix_misspelling_speaker-test_man_page.patch: Fix
      misspelling in speaker-test(1)
    - Remove alsaconf from build system and remove po files
    - Create an upstart job specifically saving mixer levels to resolve race
    - Version build-dep to upstart-aware debhelper.
    - Move the initscript into /sbin. We now have an upstart job just for
      handling alsactl store
  * debian/init: Revert Debian's change to allow alsamixer/amixer and aumix to
    cooperate. OSS is going away in Maverick, so we don't care about OSS mixer
    applications any more

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 19 Jul 2010 10:24:10 +0200

alsa-utils (1.0.23-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Let dh_installinit install the LSB defaults. Thanks Sven Joachim for the
    hint. (closes: #584311)

  [ Jordi Mallach ]
  * Add a trailing newline to debian/NEWS to placate lintian.

 -- Jordi Mallach <jordi@debian.org>  Thu, 03 Jun 2010 16:27:52 +0200

alsa-utils (1.0.23-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Add powerpcspe to the list of supported architectures. Hint by Sebastian
    Andrzej Siewior. (closes: #583617)
  * Introduced DEP-3 patch headers.

  [ Jordi Mallach ]
  * Bump Standards-Version to 3.8.4, no changes required.
  * Add sparc64 to the list of supported architectures.
  * Remove lpia from the list of supported architectures, as it's not used
    by Ubuntu anymore.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 Jun 2010 20:42:43 +0200

alsa-utils (1.0.23-0ubuntu1) maverick; urgency=low

  * New upstream release
    - backport-fixes-head.patch: Dropped, applied upstream
  * Merge from debian unstable, remaining changes:
    - debian/init:
      + wait until /usr/bin and /var/lib/alsa exist
      + only display an error when dealing with alsactl if there is no card
        specified
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + update lsb header to indicate no running of the script unless the
        udev rule is run
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Mute "IEC958 Optical Raw" by default
      + Set sane level for headphone 1 for Dell Studio XPS with 2.6.30
      + Don't muck with sound card state if alsactl restore fails 
      + Don't wait for 1 second after alsactl store
      + Stop muting on reboot/shutdown
      + Prefer built-in digital mics on newer Dells
      + Unmute 'Line HP Swap' for Dove boards
    - debian/rules:
      + ship udev rules file in /lib/udev/rules.d
      + Do not install start symlinks for the alsa-utils init script, it gets
        run from a udev rule
    - debian/udev.script: do not use hotplug functions
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself
    - debian/patches/fix_misspelling_speaker-test_man_page.patch: Fix
      misspelling in speaker-test(1)
    - Remove alsaconf from build system and remove po files
    - Create an upstart job specifically saving mixer levels to resolve race
    - Version build-dep to upstart-aware debhelper.
    - Move the initscript into /sbin. We now have an upstart job just for
      handling alsactl store
  * debian/init: Revert Debian's change to allow alsamixer/amixer and aumix to
    cooperate. OSS is going away in Maverick, so we don't care about OSS mixer
    applications any more

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 21 May 2010 12:54:56 +1000

alsa-utils (1.0.22-1) unstable; urgency=low

  * New upstream version.

  [ Jordi Mallach ]
  * Add spelling_fixes.patch to fix a pair of spelling fixes in aseqnet
    and aplay.
  * Add an override for a non-spelling error (ressize).

  [ Elimar Riesebieter ]
  * Revised short description. (closes: #556728)
  * aumix and alsactl state compatible now Commented line #352 in init script.
    Thanks S. Secerovic (closes: #556086)
  * Switched to source version 3.0.

  [ Daniel T Chen ]
  * Add fix_misspelling_speaker-test_man_page.patch from Ubuntu.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Feb 2010 21:29:12 +0100

alsa-utils (1.0.22-0ubuntu5) lucid; urgency=low

  * debian/preinst: Check that $2 is non-zero before calling dpkg
    --compare-versions. (LP: #550528)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 29 Mar 2010 09:35:41 +1100

alsa-utils (1.0.22-0ubuntu4) lucid; urgency=low

  * Unmute 'Line HP Swap' for Dove boards (LP: #451635)

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 23 Mar 2010 20:20:20 -0400

alsa-utils (1.0.22-0ubuntu3) lucid; urgency=low

  * debian/init: Prefer built-in digital mics on newer Dells
    (LP: #533877) 

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 10 Mar 2010 18:05:16 -0500

alsa-utils (1.0.22-0ubuntu2) lucid; urgency=low

  * alsa-mixer-save.upstart: Fix job semantics (LP: #366160). Thanks,
    Steve Langasek!
  * backport-fixes-head.patch:
    + Fix error value returned by alsactl (69c6bea)
    + Fix alsamixer crashes (5a016b5, c9b86f4)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 22 Feb 2010 16:58:10 -0500

alsa-utils (1.0.22-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/patches/:
    - alsactl_brace.patch:
    - show_avail_formats.patch:
    - dont_free_if_init_file_doesnt_exist.patch: Applied upstream.
    + backport-fixes-head.patch: (c2eaf8, 0034b1, cdc496)

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 03 Feb 2010 01:19:33 -0500

alsa-utils (1.0.21-1ubuntu3) lucid; urgency=low

  * Backport fixes from master/HEAD:
    + show_avail_formats.patch (32546, 11856, d18ae, 075be)
    + dont_free_if_init_file_doesnt_exist.patch (87ee4)

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 15 Dec 2009 18:56:31 -0500

alsa-utils (1.0.21-1ubuntu2) lucid; urgency=low

  * debian/init: Stop muting on reboot/shutdown.  The original intent was
    to prevent pops, and that's just a hack for broken linux that is now
    causing more problems than it resolves.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 12 Dec 2009 23:04:50 -0500

alsa-utils (1.0.21-1ubuntu1) lucid; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/init:
      + wait until /usr/bin and /var/lib/alsa exist
      + only display an error when dealing with alsactl if there is no card
        specified
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + update lsb header to indicate no running of the script unless the
        udev rule is run
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Make use of lsb-functions/log calls
      + Mute "IEC958 Optical Raw" by default (LP: #408370)
    - debian/rules:
      + ship udev rules file in /lib/udev/rules.d
      + Do not install start symlinks for the alsa-utils init script, it gets
        run from a udev rule
    - debian/udev.script: do not use hotplug functions
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself.
    - debian/patches/fix_misspelling_speaker-test_man_page.patch: Fix
      misspelling in speaker-test(1)
    - Set sane level for headphone 1 for Dell Studio XPS with 2.6.30.
    - Remove alsaconf from build system and remove po files

  [ Daniel T Chen ]
  "The beginning of the great initscript-sectomy"

  * debian/alsa-mixer-save.upstart: Create an upstart job specifically
    saving mixer levels to resolve race (LP: #454265)
  * debian/control: Version build-dep to upstart-aware debhelper.
  * debian/init:
    + Revert all initscript changes in 1.0.20-2ubuntu[456]. They were
      crackful.
    + Restore more sane behavior/compatibility with 8.10 by not mucking
      with sound card state if alsactl restore fails.
    + Don't wait for 1 second after alsactl store, which already is
      expensive. Also, if store is going to fail, this wait is useless.
  * debian/preinst: Handle upgrades from upstart-unaware versions.
  * debian/rules: Move the former initscript into /sbin. We now have an
    upstart job just for handling alsactl store.
  * debian/NOTES:
    debian/README.Debian:
    debian/modprobe-post-install-part:
    debian/udev.script: Use the new script path.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 06 Nov 2009 11:29:35 +1100

alsa-utils (1.0.21-1) unstable; urgency=low

  * New upstream release
   + mentions help key in alsamixer. (closes: #544495)

  [ Elimar Riesebieter ]
  * /usr/share/alsa/init/default:52: missing closing brace for format. Fixed by
    a patch. Should be merged upstream for next version.
    (closes: #523091, #527074, #540254, #544607)
  * alsamixer/README isn't present anymore, so doesn't need to install.
  * Build-Depends: replace libncurses5-dev with libncursesw5-dev.
    (closes: #445802)

 -- Jordi Mallach <jordi@debian.org>  Thu, 17 Sep 2009 18:47:21 +0200

alsa-utils (1.0.20-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added udev to Depends: (closes: #539983).
  * Bumped Standards-Version to 3.8.3. No changes.
  * Added README.source.
  * s/unuseful/useless in NEWS.

 -- Jordi Mallach <jordi@debian.org>  Fri, 28 Aug 2009 14:00:46 +0200

alsa-utils (1.0.20-2ubuntu6) karmic; urgency=low

  * debian/init: Revert behavior back to 1.0.20-2ubuntu3 as these other
    checks were causing problems with storing volume (LP: #454265)

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 20 Oct 2009 01:41:24 -0500

alsa-utils (1.0.20-2ubuntu5) karmic; urgency=low

  * debian/init: Don't do silly things with the PulseAudio check. Just
    make sure that, in the stop target, we don't store levels for a card
    that has already been stored and muted.
    (LP: #449589, #450612, #450652)

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 13 Oct 2009 22:17:12 -0400

alsa-utils (1.0.20-2ubuntu4) karmic; urgency=low

  * debian/init: Only restore ALSA volume settings via the initscript
    if solely ALSA (e.g., no PulseAudio) is used
    - LP: #432660, #447204, #447395, #447413
  * debian/patches/:
    + move_asound_state_to_var.patch: Refresh
    + unset_pulse_internal.patch:     Refresh

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 08 Oct 2009 18:05:35 -0400

alsa-utils (1.0.20-2ubuntu3) karmic; urgency=low

  * debian/init: Mute "IEC958 Optical Raw" by default (LP: #408370)

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 27 Aug 2009 09:31:11 -0400

alsa-utils (1.0.20-2ubuntu2) karmic; urgency=low

  * debian/patches/remove_alsaconf.patch: Since we don't ship alsaconf, remove
    references to it from the build system, and remove alsaconf/po. This
    ensures that alsaconf po files do not get shipped in the translations
    tarball, as there is no pot file for alsaconf translations. (LP: #410699)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 21 Aug 2009 10:15:56 +1000

alsa-utils (1.0.20-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/init:
      + wait until /usr/bin and /var/lib/alsa exist
      + only display an error when dealing with alsactl if there is no card
        specified
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + update lsb header to indicate no running of the script unless the
        udev rule is run
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Make use of lsb-functions/log calls
    - debian/rules:
      + ship udev rules file in /lib/udev/rules.d
      + Do not install start symlinks for the alsa-utils init script, it gets
        run from a udev rule
    - debian/udev.script: do not use hotplug functions
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself.
    - debian/patches/fix_misspelling_speaker-test_man_page.patch: Fix
      misspelling in speaker-test(1)
    - Set sane level for headphone 1 for Dell Studio XPS with 2.6.30.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 03 Jul 2009 15:47:51 +1000

alsa-utils (1.0.20-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added avr32 to supported archs.
  * Removed mute_and_zero_levels_on_card "pcsp" in init file.
    (closes: #533008, #523291)
  * Initscript needs to depend on udev at Required-Start. Thanks Raphael
    Geissert for the hint (closes: #534525).
  * Bumped Standards-Version to 3.8.2. No changes.

 -- Jordi Mallach <jordi@debian.org>  Thu, 02 Jul 2009 16:24:02 +0200

alsa-utils (1.0.20-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/init:
      + wait until /usr/bin and /var/lib/alsa exist
      + only display an error when dealing with alsactl if there is no card
        specified
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + update lsb header to indicate no running of the script unless the
        udev rule is run
      + Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      + Make use of lsb-functions/log calls
    - debian/rules:
      + ship udev rules file in /lib/udev/rules.d
      + Do not install start symlinks for the alsa-utils init script, it gets
        run from a udev rule
    - debian/udev.script: do not use hotplug functions
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself.
    - debian/patches/fix_misspelling_speaker-test_man_page.patch: Fix
      misspelling in speaker-test(1)
    - Set sane level for headphone 1 for Dell Studio XPS with 2.6.30.


 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 26 May 2009 22:29:51 +0200

alsa-utils (1.0.20-1) unstable; urgency=low

  * New upstream release

  [ Elimar Riesebieter ]
  * Delete /etc/alsa/modprobe-post-install.d/alsa-utils.
    - Install udev config to /lib/udev/rules.d/80-alsa.rules
    - Remove obsolete /etc/udev/alsa-utils.rules and the appropriate link in
      /etc/udev/rules.d.
    - Thanks for the hints Marco d'Itri. (closes: #521705)
  * Bumped standard version to 3.8.1. No changes.
  * Updated README.Debian. Removed the paragraph about non-udev systems.
  * Cleaned rules. Removed modprobe-post-install stuff.
  * Removed asoundconf and modprobe-post-install-part from debian dir.

  [ Jordi Mallach ]
  * Properly handle the removal of conffiles, also for changes in
    recent uploads.
    - steal code from udev's preinst to create rm_conffile() & mv_conffile().
    - remove modprobe-postinstall files.
    - move the modprobe.d files to the new .conf suffix.
  * Don't use rm -v, no need to be verbose.

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 May 2009 21:25:58 +0200

alsa-utils (1.0.19-2ubuntu2) karmic; urgency=low

  * debian/init: Set sane level for 'Headphone 1', which behavior
    has changed on the Studio XPS w/ 2.6.30.

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 04 May 2009 14:05:19 -0500

alsa-utils (1.0.19-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/init:
      + wait until /usr/bin and /var/lib/alsa exist
      + only display an error when dealing with alsactl if there is no card
        specified
      + Set sane level for 'Speaker' and 'Headphone', needed for Dell Mini 9
        and Dell E series
      + ute PC Beep on hda cards that support it during initial volume setup
      + update lsb header to indicate no running of the script unless the
        udev rule is run
      = Mute *Analog/Digital Control for Creative cards by default
      + Default Digital Input Source to be Digital Mic 1 so that users
        with digital mic will be able to use it out of the box
      = Make use of lsb-functions/log calls
    - debian/rules:
      + ship udev rules file in /lib/udev/rules.d
      + Do not install start symlinks for the alsa-utils init script, it gets
        run from a udev rule
    - debian/udev.script: do not use hotplug functions
    - debian/postinst: remove old start symlink on upgrade
    - debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils so that
      users of snd-cs4236 (e.g., ThinkPad 600) can have audible sound
    - debian/patches/unset_pulse_internal.patch: We don't want alsamixer to
      show the pulse mixer by default, since it can be controlled from
      pulseaudio itself.
    - debian/patches/fix_misspelling_speaker-test_man_page.patch: Fix
      misspelling in speaker-test(1)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 04 May 2009 16:56:13 +1000

alsa-utils (1.0.19-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Rename /etc/modprobe.d/sound to /etc/modprobe.d/sound.conf if exists.
    (closes: #521695)
  * Don't install /etc/alsa/modprobe-post-install.d/alsa-utils anymore.
    (closes: #521705)

  [ Jordi Mallach ]
  * Add aseqnet_manpage_errors.patch, to remove an unknown "LO" section.

 -- Jordi Mallach <jordi@debian.org>  Mon, 30 Mar 2009 02:13:50 +0200

alsa-utils (1.0.19-1) unstable; urgency=low

  * New upstream release (closes: #509176, #485661)

  [ Elimar Riesebieter ]
  * Get rid of asoundconf. (closes: #505089, #433134)
    - Remove python dependencies (closes: #508563)

  [ Jordi Mallach ]
  * Add a NEWS file explaining the removal of alsaconf and asoundconf.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Sat, 28 Mar 2009 12:53:02 +0100

alsa-utils (1.0.18-1ubuntu11) jaunty; urgency=low

  * debian/init: Set sane level for 'Speaker' and 'Headphone',
    too. Needed for Dell Mini 9 and Dell E series.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 04 Apr 2009 18:06:53 -0400

alsa-utils (1.0.18-1ubuntu10) jaunty; urgency=low

  * debian/rules: Do not install start symlinks for the alsa-utils init
    script; we already run this from a udev rule.
  * debian/init: Update LSB header. 
  * debian/postinst: Remove old start symlink on upgrade.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 20 Feb 2009 15:06:33 +0000

alsa-utils (1.0.18-1ubuntu9) jaunty; urgency=low

  [ Daniel T Chen ]
  * adjust_init_hda_db.patch: Account for shifted db range of
    some HDA codecs (from upstream git HEAD)

  [ Luke Yelavich ]
  * mute PC Beep on hda cards that support it during initial volume setup
    (LP: #331589)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 20 Feb 2009 14:31:24 +1100

alsa-utils (1.0.18-1ubuntu8) jaunty; urgency=low

  * debian/init: Mute *Analog/Digital Control for Creative cards
    by default (LP: #106380)
  * debian/README.init.cs4236: Include in /usr/share/doc/alsa-utils
    so that users of snd-cs4236 (e.g., ThinkPad 600) can have
    audible sound (LP: #41990)
  * fix_misspelling_speaker-test_man_page.patch: Fix misspelling
    in speaker-test(1) (LP: #296148)
  * Last upload fixed LP: #272865

 -- Daniel T Chen <crimsun@ubuntu.com> Sun, 01 Feb 2009 16:12:42 -0500

alsa-utils (1.0.18-1ubuntu7) jaunty; urgency=low

  [ Daniel T Chen ]
  * Add fixes from git:
    - force_state_reinit_when_new_mixer_elements_exist.patch,
    - fix_possible_fpe_speaker-test.patch
  * Ensure sound channels are not muted after reboot. (LP: #316430)

  [ Luke Yelavich ]
  * unset_pulse_internal.patch: We don't want alsamixer to show the pulse
    mixer by default, since it can be controlled from pulseaudio itself.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 19 Jan 2009 10:43:28 +1100

alsa-utils (1.0.18-1ubuntu6) jaunty; urgency=low

  * Add aplay_logic_inversion.patch from alsa-utils GIT to resolve
    HDMI output being listed as a possible output for aplay.

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 16 Jan 2009 16:43:15 -0600

alsa-utils (1.0.18-1ubuntu5) jaunty; urgency=low

  * debian/rules: Install udev rules into /lib/udev/rules.d
  * debian/dirs: Change directory we make
  * debian/preinst: Remove Debian-style files, and remove the old version
    of the rule (even if obsolete) if unmodified.
  * debian/postinst: Don't do Debian-style symlinking, and rename the old
    version of the rule.
  * debian/control: Add breaks to ensure the right version of udev is used.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 09 Jan 2009 15:28:01 +0000

alsa-utils (1.0.18-1ubuntu4) jaunty; urgency=low

  * debian/init: Default Digital Input Source to be Digital Mic 1 so that
    users w/ a digital mic will be able to use it OOTB. (LP: #314188)

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 05 Jan 2009 16:27:50 -0600

alsa-utils (1.0.18-1ubuntu3) jaunty; urgency=low

  * debian/rules: Move alsactl to /sbin, accidentallyd droped in previous
    merges. (LP: #299093)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 26 Nov 2008 10:36:01 +1100

alsa-utils (1.0.18-1ubuntu2) jaunty; urgency=low

  * debian/init: Set PULSE_INTERNAL=0 to prevent PulseAudio from
    being inspected for invocations of alsactl and amixer.  Fixes
    hangs attempting to (re)store mixer element values as
    reported in LP: #274995.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 25 Nov 2008 08:06:35 -0500

alsa-utils (1.0.18-1ubuntu1) jaunty; urgency=low

  * Merge from Debian experimental.
    - Make use of lsb-functions/log calls in init script.
    - Update asoundconf from trunk to fix crash.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 06 Nov 2008 16:17:26 +1100

alsa-utils (1.0.18-1) experimental; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Build-Depends bumped to libasound2-dev (>= 1.0.18).
  * aplay -N should work as expected. (closes: #438118)
  * Moved pci-utils to Recommends. (closes: #502848)
  * Added xmlto to Build-Depends.
  * Removed alsaconf's menu entry.
  * Don't patch alsaconf as it is not installed anymore.

  [ Jordi Mallach ]
  * Removing alsaconf also...
    - closes: #316981, fr/man8/alsaconf.8.gz out of date.
    - closes: #357106, alsaconf modifies modules.conf unrelatedly

 -- Jordi Mallach <jordi@debian.org>  Thu, 06 Nov 2008 23:16:41 +0100

alsa-utils (1.0.17-1) experimental; urgency=low

  * New upstream release.

  [ Jordi Mallach ]
  * Add lpia to the list of supported architectures.
  * Remove alsaconf entirely. The only valid use-case for alsaconf is
    aiding the configuration of ISA sounds cards. However, the common use
    people do of this tools is mostly trying it out to see if it "fixes"
    their sound, which often makes things worse. We've discussed this for
    years; it's time to do something about it (Ubuntu, for reference, got
    rid of it in October 2007).
  * Require libasound2-dev (>= 1.0.17).
  * Merge from Ubuntu:
    - asoundconf{,.1}: Update asoundconf-trunk from bzr adding
      {,un}set-oss convenience macros as per requests for OSSv4
      routing.
    - toggle additional mixer elements in init script.
    - mute the PC speaker volume by default when any card's levels are
      sanified.

  [ Elimar Riesebieter ]
  * Bumped standard version to 3.8.0. No changes.
  * Bumped debhelper compat to 7.
  * alsactl restore fails on ICE1724 soundcards: Fixed upstream.
    (closes: #481515)

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Sep 2008 20:01:23 +0200

alsa-utils (1.0.17-0ubuntu2) intrepid; urgency=low

  * Merge changes from asoundconf trunk to fix a crash in the asoundconf
    utility. (LP: #271899)

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 25 Sep 2008 16:04:05 +1000

alsa-utils (1.0.17-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * Merge from Debian unstable.
  * Packaging:
    - no alsaconf;
    + lpia arch, maintainer and Vcs fields munging;
    + toggle additional mixer elements in initscript;
    + asoundconf{,.1}:  Update asoundconf-trunk from bzr adding
      {,un}set-oss convenience macros as per requests for OSSv4
      routing.
    + Mute 'Jack Detect' as per user request.
  * debian/control: Updated libasound2 build dep.
  * debian/init: Mute the PC speaker volume by default when any card's levels
    are sanified.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 28 Aug 2008 09:46:15 +1000

alsa-utils (1.0.16-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Dropped udev recommendation (closes: 476728)

 -- Jordi Mallach <jordi@debian.org>  Wed, 25 Jun 2008 10:14:09 +0200

alsa-utils (1.0.16-1ubuntu3) intrepid; urgency=low

  * Really make the change to the init script to mute the PC speaker
    on initial start/reset. (LP: #242966)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 04 Aug 2008 15:22:31 +1000

alsa-utils (1.0.16-1ubuntu2) intrepid; urgency=low

  [ Daniel T Chen ]
  * debian/init:  Mute 'Jack Detect' as per user request.

  [ Luke Yelavich ]
  * debian/init: Mute the PC speaker card on initial level set/reset.
    (LP: #242966)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 04 Aug 2008 10:33:09 +1000

alsa-utils (1.0.16-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable.
  * Packaging:
    - no alsaconf;
    + lpia arch, maintainer and Vcs fields munging;
    + toggle additional mixer elements in initscript;
    + asoundconf{,.1}:  Update asoundconf-trunk from bzr adding
      {,un}set-oss convenience macros as per requests for OSSv4
      routing.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 09 May 2008 16:17:32 -0400

alsa-utils (1.0.16-1) unstable; urgency=low

  * New upstream release (closes: #393686, #399223, #400499, #406738, #447898,
    #422805)

  [ Elimar Riesebieter ]
  * Tweaked asoundconf. (closes: #399623)
  * Forgot to add Speaker to mute_and_zero_levels_on_card() in the init file.
    Thanks Dan Chen for the hint.

  [ Jordi Mallach ]
  * Bump libasound2-dev build dep to 1.0.16, as snd_tlv_get_dB_range is
    needed.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Feb 2008 00:41:40 +0100

alsa-utils (1.0.15-3ubuntu2) hardy; urgency=low

  * Default "Digital" capture mixer used on HDA-Intel cards to be at a
    more usable volume.  (LP: #193823)

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 20 Feb 2008 15:59:38 -0600

alsa-utils (1.0.15-3ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Packaging:
      + no alsaconf,
      + Vcs-Bzr (updated URI), lpia arch, maintainer field munging,
      + toggle additional mixer elements in initscript:  in addition to
        the fix in 1.0.15-3 for Thinkpad T61/X61, also twit the control
        in mute_and_zero_levels_on_card() (LP: #190393).

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 10 Feb 2008 09:41:23 +0000

alsa-utils (1.0.15-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * alsa-utils needs /usr at boot but did not depend on $remote_fs. init script
    fixed. Thanks Petter Reinholdtsen. (closes: #464020)
  * AD1984 -- Thinkpad T61/X61 set switch_control "Speaker" and "Headphone" on
    Thanks Jerone Young. Fixes: LP#190393.

 -- Jordi Mallach <jordi@debian.org>  Sun, 10 Feb 2008 04:41:36 +0100

alsa-utils (1.0.15-2ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Packaging:
      + no alsaconf,
      + Vcs-Bzr, lpia arch, maintainer field munging,
      + toggle additional mixer elements in initscript.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 11 Jan 2008 21:41:16 +0000

alsa-utils (1.0.15-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Fixed asoundconf to list available cards. Customized to the format of
    /proc/asound/cards. Thanks Ari Pollak. (closes: #451574)
  * Introduced /usr/sbin/alsa instead of /etc/init.d/alsa in alsaconf script.
  * Bumped standard version to 3.7.3. No changes.
  * The python-minimal package (and versioned variants thereof) exists
    only to possibly become an Essential package.  Depending on it is always
    an error since it should never be installed without python.  If it
    becomes Essential, there is no need to depend on it, and until then,
    packages that require Python must depend on python: Redepended on python.
  * Don't install empty dir /usr/share/lintian/overrides.

  [ Jordi Mallach ]
  * Switch to now official Vcs-* control fields.

 -- Jordi Mallach <jordi@debian.org>  Fri, 11 Jan 2008 17:56:28 +0100

alsa-utils (1.0.15-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable.
  * Ubuntu-specific changes:
    - debian/control:
      + Add bzr URI,
      + Add lpia to supported arches,
      + Adhere to DebianMaintainerField;
    - debian/init:
      + Mute 'IEC958' by default,
      + Unmute 'Master Surround', 'Audigy Analog/Digital Output Jack';
    - debian/modprobe-post-install-part: Remove - not used;
    - Don't install alsaconf.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 27 Oct 2007 23:17:58 +0100

alsa-utils (1.0.15-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Added Homepage header in debian/control.
  * debian/rules: s/-$(MAKE) distclean/[ ! -f Makefile ] || $(MAKE) distclean/
  * debian/control: Recommend udev (>= 0.096-1)
  * Switched alsa-utils dependency from python to python-minimal.
    (closes: #447736)

 -- Jordi Mallach <jordi@debian.org>  Sat, 27 Oct 2007 12:46:54 +0200

alsa-utils (1.0.14-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Tweaked alsaconf to work properly with 2.6 kernel drivers.
    (closes: #391921, #411305, #426759, #429784, #430624, #432678, #439842)
    (closes: #404215, #4417769)
  * Reduced the default mixersettings in alsaconf a bit.
  * Removed modutils from alsa-utils' Depends:
  * Tweaked the menu entry to menu policy 3.5.
  * Changed clean target according to lintians help ;)

 -- Jordi Mallach <jordi@debian.org>  Sat, 15 Sep 2007 21:50:40 +0200

alsa-utils (1.0.14-1ubuntu4) gutsy; urgency=low

  * debian/asoundconf* : Update from
    https://code.launchpad.net/~motu/asoundconf-ui/asoundconf-trunk,
    which enables asoundconf to create an .asoundrc specific for the
    system's installed alsa-lib version instead of relying on
    hard-coded items in the script.  (This extensibility is
    anticipated for 8.04 LTS.)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 03 Sep 2007 22:33:55 -0400

alsa-utils (1.0.14-1ubuntu3) gutsy; urgency=low

  * Add lpia to the alsa-utils architecure list.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 31 Jul 2007 14:33:48 +1000

alsa-utils (1.0.14-1ubuntu2) gutsy; urgency=low

  * debian/asoundconf{,.1}: Use correct dmix.* syntax, and
    pretty-print convenience macro functions in the man page.
    Thanks to Dana Goyette for testing.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 14 Jun 2007 13:58:35 -0400

alsa-utils (1.0.14-1ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/asoundconf{,.1}:
      + Merge updated configuration parameters from alsa/alsa.conf,
      + Handle insufficient user-provided parameters (LP: #114062),
      + Clarify man page for consistency,
    - debian/control:
      + Don't list modutils as an alternate for module-init-tools,
      + Adhere to DebianMaintainerField,
    - debian/init:
      + Mute 'IEC958' by default,
      + Unmute 'Master Surround', 'Audigy Analog/Digital Output Jack',
        and 'SB Live Analog/Digital Output Jack' by default,
    - debian/modprobe-post-install-part: Remove - not used in Ubuntu,
    - debian/patches/{00list,*.dpatch}: Remove - integrated into
      upstream and obsoleted by quilt conversion.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 12 Jun 2007 00:18:40 -0400

alsa-utils (1.0.14-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * We've found that a new board from ASUS need to use Front channel as
    master control. Thanks Otavio Salvador. (closes: #425430)
  * Patch management switched to quilt. This is more comfortable.

 -- Jordi Mallach <jordi@debian.org>  Sat, 09 Jun 2007 21:24:11 +0200

alsa-utils (1.0.14~rc4-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release candidate.

  [ Jordi Mallach ]
  * debian/control: add XS-Vcs-Browser and XS-Vcs-Svn headers.

 -- Jordi Mallach <jordi@debian.org>  Sun, 13 May 2007 12:09:39 +0200

alsa-utils (1.0.14~rc2-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release candidate.

 -- Jordi Mallach <jordi@debian.org>  Fri, 13 Apr 2007 01:46:54 +0200

alsa-utils (1.0.14~rc1-1) experimental; urgency=low

  * New upstream release candidate.

  [ Elimar Riesebieter ]
  * Removed debian/patches/30_alsaconf_ppc.dpatch. Applied from upstream.
  * Removed debian/patches/35_speaker-test_1.dpatch. Applied from upstream.
  * Removed debian/patches/94_debian_alsaconf_modprobe_driver.dpatch. Applied
    different from upstream.
  * Added arch armel to alsa-utils. (closes: Bug#408773)

 -- Jordi Mallach <jordi@debian.org>  Sat, 13 Jan 2007 02:23:38 +0100

alsa-utils (1.0.13-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added XS-X-Vcs-Svn field in control.

  [ Jordi Mallach ]
  * debian/init: unmute "Master Mono" channels as some laptops do have
    mono speakers, muted by default (closes: #406047).

 -- Jordi Mallach <jordi@debian.org>  Fri, 12 Jan 2007 14:12:07 +0100

alsa-utils (1.0.13-1ubuntu5) feisty; urgency=low

  * debian/asoundconf: Fix reset_default_card() (LP #86048).

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 18 Feb 2007 15:12:28 -0500

alsa-utils (1.0.13-1ubuntu4) feisty; urgency=low

  The "damned if you do, damned if you don't" revision.

  * debian/asoundconf: Fix unset_pulseaudio() (Closes Ubuntu: #78735),
  * debian/init:
    - Mute 'IEC958' by default (Closes Ubuntu: #19648),
    - Unmute 'Master Surround', 'Audigy Analog/Digital Output Jack' and
      'SB Live Analog/Digital Output Jack' by default.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 12 Jan 2007 10:20:43 -0500

alsa-utils (1.0.13-1ubuntu3) feisty; urgency=low

  * debian/asoundconf{,.1}: Teach asoundconf about pulseaudio.
    By installing the pulseaudio (and its Suggests and Recommends) and
    libasound2-plugins packages, a user can now activate a pulseaudio
    config by executing ``pulseaudio -D && asoundconf set-pulseaudio''.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun,  7 Jan 2007 02:28:45 -0500

alsa-utils (1.0.13-1ubuntu2) feisty; urgency=low

  * Merge updated configuration parameters from alsa/alsa.conf
    into debian/asoundconf (Closes Ubuntu: #77348, #73377).

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed,  3 Jan 2007 15:40:37 -0500

alsa-utils (1.0.13-1ubuntu1) feisty; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/asoundconf:
      + Enumerate user asoundrc parameters correctly,
      + Handle leading whitespace in contents of /proc/asound/cards
        for Linux >= 2.6.16,
    - debian/control: Don't list modutils as an alternate for
      module-init-tools,
    - debian/modprobe-post-install-part: Drop, not used in Ubuntu,
    - debian/patches/40_*:
      + alsactl_bail_on_nonexistent_config.dpatch: Add,
      + amixer_dont_beep_on_argv_errors: Add (Closes Ubuntu: #18272),
      + amixer_validate_commands: Add.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 22 Nov 2006 05:22:45 -0500

alsa-utils (1.0.13-1) unstable; urgency=low

  * New upstream release

  [ Elimar Rieseebieter ]
  * Cleaned out hunks in debian/patches

 -- Jordi Mallach <jordi@debian.org>  Tue,  3 Oct 2006 12:00:49 +0200

alsa-utils (1.0.12-1) unstable; urgency=low

  * New upstream release

  [ Elimar Riesebieter ]
  * Added a more reasonable package description. Thanks Alexandre Fayolle.
    (closes: #384971)
  * Bumped compat to 5 and debhelper version >= 5.0.37.
  * Adjusted libasound-dev build-dependency version in debian/control.
  * Adjusted debian/init. Thanks Petter Reinholdtsen. (closes: #386624)

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Sep 2006 11:29:17 +0200

alsa-utils (1.0.11-6ubuntu2) edgy; urgency=low

  * debian/asoundconf:
    - list(): Handle leading whitespace when parsing /proc/asound/cards
      (see fix applied in 1.0.10-1ubuntu11 for #43197).
    - set_default_card()/reset_default_card(): Add additional
      definitions from alsa-lib's confdir/alsa.conf so that using the
      standard overridable ones (e.g., plug:dmix) don't throw alsa-lib
      errors (Closes Ubuntu: #43146).

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 30 Jul 2006 19:35:51 -0400

alsa-utils (1.0.11-6ubuntu1) edgy; urgency=low

  * Merge from Debian unstable:
    - debian/modprobe-post-install-part: Drop, not used in Ubuntu.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 18 Jul 2006 01:32:29 +0100

alsa-utils (1.0.11-6) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Adjusted debian/modprobe-post-install-part. We have only to check for udev
    and not for kernel-version >= 2.5. (closes: #377514) Thanks Marco d'Itri.
  * Use lsb init-functions in init script. Thanks Carlos Villegas
    (closes: #377717)

 -- Jordi Mallach <jordi@debian.org>  Mon, 17 Jul 2006 18:11:44 +0200

alsa-utils (1.0.11-5ubuntu1) edgy; urgency=low

  * Merge from debian unstable:
    - debian/control: Retain Depends delta (no modutils).

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 06 Jul 2006 00:18:04 +0100

alsa-utils (1.0.11-5) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Adjusted Required-(Start|Stop) in the initscript. (closes: #375388)
  * Switched alsa-utils dependency from python-minimal to python for now.
    (closes: #368462)
  * Introduced 30_alsaconf_ppc.dpatch. Now snd-powermac should be found by the
    deprecated alsaconf tool. Thanks to Juan A. Diaz. (closes: #344008)
  * Added 35_speaker-test_1.dpatch to fix typos. Thanks A. Costa
    (closes: #354560)

 -- Jordi Mallach <jordi@debian.org>  Wed,  5 Jul 2006 10:45:43 +0200

alsa-utils (1.0.11-4ubuntu1) edgy; urgency=low

  * Merge from debian unstable:
    - debian/asoundconf: Drop Ubuntu delta (whitespace-only).
    - debian/control: Retain delta (see 1.0.10-1ubuntu5 for rationale).
    - debian/dirs:
      + Retain delta (keep sbin but drop lib/udev; see below for
        debian/udev.script).
      + Remove usr/share/lintian/overrides (see 1.0.11-1 for
        rationale).
    - debian/init:
      + Retain /sbin/alsactl delta.
      + Drop shell quoting delta [both $() and `` being valid POSIX].
      + Retain delta for earlier exit with $TARGET_CARD.
    - debian/modprobe-post-install-part: Drop (see 1.0.10-1ubuntu5 for
      rationale).
    - debian/{postinst,rules}:
      + Retain deltas (/etc/udev/rules.d/85-alsa.rules).
      + Don't install lintian override.
    - debian/udev.script: Drop (instead hack debian/{init,udev.rules}).

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 05 Jul 2006 17:28:22 -0400

alsa-utils (1.0.11-4) unstable; urgency=low

  * debian/init: fix a typo in Tumbler test (closes: #368114).

 -- Jordi Mallach <jordi@debian.org>  Sat, 20 May 2006 02:41:48 +0200

alsa-utils (1.0.11-3) unstable; urgency=low

  [ Martin Pitt ]
  * debian/init, echo_card_indices(): Fix sed expression to accept leading
    spaces in front of card numbers. Kernels 2.6.16+ write the card number
    with '%2i'. (Closes: #366883)
  * debian/asoundconf:
    - Remove the automatic prepending of '!' for non-numeric parameter values;
      this approach is flawed (see lengthy explanation in LP#31699).
    - Add two convenience functions set-default-card and reset-default-card
      which care for the correct handling of !defaults.pcm.card,
      defaults.ctl.card, defaults.pcm.device, and defaults.pcm.subdevice.
      Doing it here in python is way easier and less error prone than handling
      this in C in control-center. (Ubuntu#31699)
  * debian/asoundconf.1: Describe set-default-card and reset-default-card.

  [ Elimar Riesebieter ]
  * Bumped Standard-Version to 3.7.2; no changes needed.
  * Added ppc Tumbler card to preinit_levels_on_card() in debian/init.
    (Closes: #367953) Thanks to Markus Koller.

 -- Jordi Mallach <jordi@debian.org>  Fri, 19 May 2006 21:25:08 +0200

alsa-utils (1.0.11-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Adjusted the initscript:
    use [ -x /usr/sbin/alsactl ] || exit 0 instead of
    [ -d /lib/alsa-utils ] || exit 0
    as /lib/alsa-utils doesn't exist anymore. Thanks to Michael Setzer and Dan
    Chen. (Closes: #364593, #364583)

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Apr 2006 13:32:05 +0200

alsa-utils (1.0.11-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release
  * bad handling of udev symlink: Applied patch from Julien Danjou, thanks.
    (Closes: #357276)
  * Reworked debian/patches/90_debian_alsaconf_paths.dpatch
  * Removed lintian-overrides as starting with capital-letters in descr is
    accepted now

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Apr 2006 17:14:24 +0200

alsa-utils (1.0.10+1.0.11rc2-2) experimental; urgency=low

  [ Thomas Hood ]
  * Depend on python-minimal rather than on python  (Closes: #325876)
  * Put module-init-tools before modutils in Depends
  * /etc/init.d/alsa-utils: Use a more standard PATH
  * Correct license text quotations in the copyright file
  * debian/asoundconf: Correct description of is-active to reflect
    changed semantics (see Martin Pitt's changes)
  * /lib/udev/alsa-utils (formerly /lib/alsa-utils/udev),
    /etc/alsa/modprobe-post-install.d/alsa-utils:
    Work with latest udev  (Closes: #353893)
  * Make postinst handle abort-upgrade  (Closes: #357456)

  [ Jordi Mallach ]
  * Build-depend on libasound2-dev (>= 1.0.10) instead of the very latest rc

  [ Martin Pitt ]
  * debian/asoundconf:
    - Support string values
    - get/delete: Also match parameters prefixed with '!'
    - set: Prefix parameter with '!' if it is not a number
    - is-active: Consider the absence of ~/.asoundrc as valid for handling
      with asoundconf
    - Add 'list' command to display available sound card names, update
      manpage.
  * debian/init:
    - Add new functions preinit_levels()/preinit_levels_on_card() which are
      executed everytime (sanify_levels() is only executed if there is no
      saved state).
    - preinit_levels_on_card(): If card is a PowerMac Snapper, do a 'mute
      "Auto Mute", mute "PC Speaker", unmute "Auto Mute" again' dance to set
      the default output to the internal speakers. This makes powerpc sound
      work out of the box again. (Closes: #355753)

  [ Elimar Riesebieter ]
  * Switch from /usr/sbin/su-to-root to su-to-root in debian/menu as
    recommended by lintian

 -- Martin Pitt <mpitt@debian.org>  Thu,  9 Mar 2006 09:29:02 +0100

alsa-utils (1.0.10+1.0.11rc2-1) experimental; urgency=low

  * New upstream release candidate

  [ Elimar Riesebieter ]
  * Remove 80_alsa-utils-1.0.11_rc1-bigendian.dpatch which was
    applied upstream

 -- Jordi Mallach <jordi@debian.org>  Tue, 10 Jan 2006 01:03:09 +0100

alsa-utils (1.0.10+1.0.11rc1-1) experimental; urgency=low

  * New upstream release candidate

  [ Elimar Riesebieter ]
  * Introduce 80_alsa-utils-1.0.11_rc1-bigendian.dpatch. This adds
    inclusion of byteswap.h header when building on big endian machines,
    which was a powerbook in my case ;)

 -- Jordi Mallach <jordi@debian.org>  Fri, 30 Dec 2005 14:21:44 +0100

alsa-utils (1.0.10-1ubuntu14) dapper; urgency=low

  * debian/init: Add change from Debian's alsa-utils_1.0.11-4 so that
    Tumbler goes through the same preinit_levels_on_card() dance (see
    Malone #30963)

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 28 May 2006 02:10:49 -0400

alsa-utils (1.0.10-1ubuntu13) dapper; urgency=low

  * debian/init: Set 'IEC958 Playback AC97-SPSA' to 0 so that PCM1 is
    routed and audible by default for hardware allowing AC97 through
    IEC958. Symptoms included inaudible volume despite correct mixer
    settings. This toggle is used for analog output.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 12 May 2006 16:22:10 -0400

alsa-utils (1.0.10-1ubuntu12) dapper; urgency=low

  * debian/init: Unmute all 'VIA DXS' elements for newer Via hardware.
    Closes: LP#31784, LP#40810.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 10 May 2006 16:49:48 -0400

alsa-utils (1.0.10-1ubuntu11) dapper; urgency=low

  * debian/init, echo_card_indices(): Fix sed expression to accept leading
    spaces in front of card numbers. Kernels 2.6.16+ write the card number
    with '%2i'. Closes: LP#43197

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 May 2006 14:35:45 +0200

alsa-utils (1.0.10-1ubuntu10) dapper; urgency=low

  * debian/asoundconf:
    - Remove the automatic prepending of '!' for non-numeric parameter values;
      this approach is flawed (see lengthy explanation in LP#31699).
    - Add two convenience functions set-default-card and reset-default-card
      which care for the correct handling of !defaults.pcm.card,
      defaults.ctl.card, defaults.pcm.device, and defaults.pcm.subdevice.
      Doing it here in python is way easier and less error prone than handling
      this in C in control-center. Closes: LP#31699
  * debian/asoundconf.1: Describe set-default-card and reset-default-card.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  9 May 2006 13:24:56 +0200

alsa-utils (1.0.10-1ubuntu9) dapper; urgency=low

  * debian/init: Unmute 'Front' element for HDA Intel (hda-intel), and
    unmute 'Analog Front' element for SB Live 7.1/24-bit (ca0106).
    Closes: LP#35775

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 27 Mar 2006 18:02:00 -0500

alsa-utils (1.0.10-1ubuntu8) dapper; urgency=low

  * debian/init:
    - Add new functions preinit_levels()/preinit_levels_on_card() which are
      executed everytime (sanify_levels() is only executed if there is no
      saved state)
    - preinit_levels_on_card(): If card is a PowerMac Snapper, do a 'mute
      "Auto Mute", mute "PC Speaker", unmute "Auto Mute" again' dance to set
      the default output to the internal speakers. This makes powerpc sound
      work out of the box again. (Malone #32151 and a dozen duplicates)
  * debian/asoundconf: Add 'list' command to list available sound card names
    for using with get/set. Thanks to Rocco Stanzione for the patch. 
    (Malone #31893)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  7 Mar 2006 12:08:04 +0100

alsa-utils (1.0.10-1ubuntu7) dapper; urgency=low

  * Make the udev rule match on the control device the same as the naming
    rule shipped by udev itself.
  * Start the alsa mixer setting script in the background so we don't wait
    for it.
  * Make the script spin until /usr/bin exists and /var/lib/alsa also exists
    (a handy hint that they have been mounted) 

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 16 Feb 2006 21:23:18 +0000

alsa-utils (1.0.10-1ubuntu6) dapper; urgency=low

  * And remove the udev/rules.d symlink. 

 -- Scott James Remnant <scott@ubuntu.com>  Fri,  3 Feb 2006 13:19:08 +0000

alsa-utils (1.0.10-1ubuntu5) dapper; urgency=low

  * Drop dependency on modutils, as it's simply not needed anymore.
  * Drop the modprobe-post-install script as alsa-base doesn't run these
    anymore, and it didn't work with new udev anyway.  Just use udev rules
    in Ubuntu.
  * Install the rules directly into /etc/udev/rules.d so they'll get
    reloaded automatically if they're ever changed.
  * Don't run the init script on startup, instead just run it whenever cards
    are inserted through the rule and don't output messages as usplash gets
    confused.
  * Move alsactl from /usr/sbin to /sbin so we can run it even if /usr
    is on a different partition

 -- Scott James Remnant <scott@ubuntu.com>  Fri,  3 Feb 2006 12:44:58 +0000

alsa-utils (1.0.10-1ubuntu4) dapper; urgency=low

  * debian/asoundconf: Consider the absence of ~/.asoundrc as valid for
    handling with asoundconf. This fixes the sound card selector for a clean
    install.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  2 Feb 2006 12:09:58 +0000

alsa-utils (1.0.10-1ubuntu3) dapper; urgency=low

  * Prefer module-init-tools over modutils

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 30 Jan 2006 07:11:44 -0800

alsa-utils (1.0.10-1ubuntu2) dapper; urgency=low

  * debian/asoundconf:
    - get/delete: Also match parameters prefixed with '!'.
    - set: Prefix parameter with '!' if it is not a number.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Jan 2006 19:13:44 +0100

alsa-utils (1.0.10-1ubuntu1) dapper; urgency=low

  * Synchronize to Debian, apply remaining Ubuntu changes to pristine Debian
    package.
  * Only remaining change: debian/rules: Do not install alsaconf.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 23 Jan 2006 17:15:46 +0100

alsa-utils (1.0.10-1) unstable; urgency=low

  * New upstream release
    Closes: #273125 "aplay.1: Does not give default values for options"

 -- Jordi Mallach <jordi@debian.org>  Wed, 23 Nov 2005 00:14:17 +0100

alsa-utils (1.0.9+1.0.10rc3-1) experimental; urgency=low

  * New upstream release candidate
  * Thomas Hood
    - Add "armeb" to our static list of target architectures.
    - /etc/init.d/alsa-utils: Add LSB header

 -- Thomas Hood <jdthood@yahoo.co.uk>  Tue,  8 Nov 2005 22:26:46 +0100

alsa-utils (1.0.9+1.0.10rc2-1) experimental; urgency=low

  * New upstream release candidate
    - Closes: #325771 "aplay.1: two SYNOPSIS sections"
  * Thomas Hood
    - debian/control: s/Architecture: any/Architecture: <Linux arches>/
    - Remove z60_alsa-utils.rules on purge  (Closes: #330035)
    - Don't use /usr/bin/env in asoundconf shebang
    - Use latest lsb init-functions in initscript

 -- Jordi Mallach <jordi@debian.org>  Fri, 28 Oct 2005 12:50:21 +0200

alsa-utils (1.0.9+1.0.10rc1-1) experimental; urgency=low

  * New upstream release candidate
    - Closes: #299458 (cannot control 'Capture Volume')
    - Closes: #311262 (aplay does not use standard output)
    - Closes: #302147 (man page typos)
    - Closes: #317868 (alsamixer: unexpected quit)
  * Thomas Hood
    - Update upstream changelog
    - Update 20_alsaconf_safe_tmp, 94_debian_alsaconf_modprobe_driver,
      95_debian_alsaconf_unload_modules for new upstream release
    - Use newfangled (>= 3.0-2) lsb-base init functions if available
    - Set "Master Playback Switch" on by default  (Closes: Ubuntu#5813)
    - Add Martin Pitt's asoundconf program  (addresses #199226)
    - Remove obsolete set-default-soundcard program
    - Build-Depend on new libasound2-dev (otherwise build fails)
    - Drop unused /usr/share/alsa-utils/
    - initscript: Don't set "Audigy Analog/Digital Output Jack"
      The driver should set this up properly

 -- Jordi Mallach <jordi@debian.org>  Mon, 19 Sep 2005 21:39:08 +0200

alsa-utils (1.0.9a-4) unstable; urgency=low

  * Thomas Hood 
    - Add set-default-soundcard from Ubuntu and consequently:
    - Add "python" to Dependencies
    - Conflict with udev << 0.060 since mixer-level-restore feature
      now uses the new udev mechanism.
    - Suggest udev >= 0.063
    - Conflict with alsa-base <= 1.0.9b-2
    - Create alsa-utils initscript
      + Start with old alsa initscript
      + Add "reset" method
      + Make it use lib init functions if they are available (thus
        rendering it unnecessary for Ubuntu to patch the script)
    - Don't keep runlevels_save feature or default file and
      don't keep debconf question about saving mixer levels.
      Whether or not to save mixer levels should now be controlled
      using a runlevel editor: levels are saved when "stop" is run.
      "Start" alsa-utils at S:S50; "stop" at [06]:K50
      The foregoing allows massive simplification of the package
    - Add /etc/alsa/modprobe-post-install.d/alsa-utils
    - Add /etc/udev/alsa-base.rules  (Closes: #316909)
    - Add /lib/alsa-utils/udev which is called by udev obeying
      the alsa-utils.rules file.  [Note added later: this file was
      moved to /lib/udev/alsa-utils.]
      Note that /etc/alsa/dev.d/ no longer functions as a run-parts
      directory.  This means that new udev rules files should be
      introduced for any local hook scripts that were formerly in
      /etc/alsa/dev.d/.
    - Omit out-of-date French alsaconf(8)  (see: #316981)
    - Eliminate obsolete dependencies

 -- Jordi Mallach <jordi@debian.org>  Mon,  1 Aug 2005 21:48:24 +0200

alsa-utils (1.0.9a-3) unstable; urgency=low

  * Thomas Hood
    - Bump Standards-Version to 3.6.2.1; no changes required
    - Reverse the order of dialog/whiptail dependency to prefer
      whiptail, following Ubuntu's lead
    - Modify 95_debian_alsaconf_unload_modules.dpatch to make
      alsaconf use the OSS-module-list from linux-sound-base,
      thus making the following change possible
    - Make alsa-utils Depend on linux-sound-base rather than
      alsa-base, thus eliminating the Dependency cycle
    - Add upstream changelog

 -- Jordi Mallach <jordi@debian.org>  Tue, 28 Jun 2005 19:29:05 +0200

alsa-utils (1.0.9a-2) unstable; urgency=low

  * Thomas Hood
    - Supply upstream's speaker-test.1 rather than our own
    - Clean up dpatch headers
    - Add 99_debian_alsaconf_modprobe_ignoreinstall.dpatch
      (Closes: #306177)

 -- Jordi Mallach <jordi@debian.org>  Wed,  8 Jun 2005 17:10:51 +0200

alsa-utils (1.0.9a-1) unstable; urgency=low

  * New upstream release
    - Fix segfault on the device without capture controls when the
      view is changed to capture mode  (Closes: #308090)
  * Thomas Hood:
    - Fix dpatch 10_move_asound_state_to_var
  * Jordi Mallach:
    - debian/control: bump libasound2-dev requirement to 1.0.9.

 -- Jordi Mallach <jordi@debian.org>  Sun,  5 Jun 2005 23:03:34 +0200

alsa-utils (1.0.8+1.0.9rc3-1) experimental; urgency=low

  * New upstream release candidate
    - Fixes part of #299458 "alsamixer, amixer cannot control
                      Capture Volume and Capture Switch on azx"
    - Closes: #302147 "man page typos"
  * Thomas Hood
    - Drop dpatches applied upstream:
      + 15_alsaconf_fix_opt
      + 97_debian_alsaconf_cfgfile
    - Update dpatches:
      + 20_alsaconf_safe_tmp
      + 98_debian_alsaconf_nodup
        . Don't omit card options for legacy cards
    - Don't ship obsolete upstream changelog.
      Please see the upstream changelog in alsa-base instead.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 May 2005 20:34:35 +0200

alsa-utils (1.0.8-4) unstable; urgency=medium

  * Thomas Hood
    - Tweak patch descriptions
    - 20_alsaconf_safe_tmp:
      + Don't mention --modinfo in usage
      + Don't abort if card database is empty  (Closes: #297779)
        Thanks to B. Zhang for assistance.

 -- Jordi Mallach <jordi@debian.org>  Fri,  4 Mar 2005 11:34:35 +0100

alsa-utils (1.0.8-3) unstable; urgency=low

  * Thomas Hood
    - 20_alsaconf_safe_tmp:
      Generate card database temporary file safely and only run in
      "modinfo" mode  (Closes: #294128)

 -- Jordi Mallach <jordi@debian.org>  Sun, 20 Feb 2005 16:38:24 +0100

alsa-utils (1.0.8-2) unstable; urgency=medium

  * Thomas Hood
    - Depend on alsa-base >= 1.0.8-4 so that alsaconf can run the
      initscript force-unload method
    - alsaconf:
      + 95_debian_alsaconf_unload_modules.dpatch:
        . Run force-unload initscript method, not force-stop which
          was removed  (Closes: #294112)
        . Patch has a new name
      + 98_debian_alsaconf_nodup.dpatch
        . Tweak so that alsaconf doesn't fail if
          /etc/mod(utils|probe.d)/alsa-base not present

 -- Jordi Mallach <jordi@sindominio.net>  Thu, 10 Feb 2005 22:49:09 +0100

alsa-utils (1.0.8-1) unstable; urgency=low

  * New upstream release
    (Closes: #222435 "alsamixer.1: explain the display")
    (Closes: #285629 "alsa-utils: Line LiveDrive Capture gone since 1.0.7")
    (Closes: #286192 "alsamixer: document new display modes")
    (Closes: #283924 "alsa-utils: Please allow localisation of alsaconf")
    (Closes: #286194 "alsamixer: add command-line control of startup mode")
  * Thomas Hood
    - Update 10_move_asound_state_to_var.dpatch (context)
    - debian/control
      + Build-Depends: libasound2-dev (>= 1.0.8)
    - Replace /usr/lib/alsa/modprobe-post-install by a symlink
      (for backward compatibility) to /lib/alsa/modprobe-post-install
      and Depend on alsa-base >> 1.0.7-2 which contains the latter
    - Remove 92_debian_alsaconf_restore.dpatch
    - Update 98_debian_alsaconf_nodup.dpatch to remove more cruft
      from /etc/mod(utils|probe.d)/sound files
    - Remove /etc/alsa/modprobe-post-install.d from package
      (It is now in alsa-base.)

 -- Jordi Mallach <jordi@debian.org>  Mon, 17 Jan 2005 12:10:00 +0100

alsa-utils (1.0.7-2) unstable; urgency=medium

  * Thomas Hood
    - Correct descriptions in patch headers
    - debian/control
      + alsa-utils Depends: alsa-base (>> 1.0.7-1) for
        new initscript
    - Remove obsolete debian/patches/*
      + 15_alsaconf_doc_config
    - Add new debian/patches/*
      + 94_debian_alsaconf_modprobe_driver
        . Modprobe snd card driver on exit
      + 95_debian_alsaconf_force_stop_driver
        . Invoke initscript force-stop on entrance
          and remove OSS modules _after_ printing
          introductory message
      + 96_debian_alsaconf_improve_intro
        . Improve introductory message
      + 97_debian_alsaconf_cfgfile
        . Change 2.4 config file to /etc/modutils/sound
          so as not to overwrite /etc/modutils/alsa-base
          which is one of our conffiles
      + 98_debian_alsaconf_nodup
        . Do not add lines to /etc/mod(utils|probe.d)/sound
          that duplicate lines in .../alsa-base
    - debian/watch: update
    - debian/postrm: Delete /etc/mod(probe.d|utils)/sound on purge

 -- Jordi Mallach <jordi@debian.org>  Thu,  9 Dec 2004 13:08:32 +0100

alsa-utils (1.0.7-1) unstable; urgency=low

  * New upstream release
    - Closes: #219874  "alsamixer: Please make ? a synonym for h"
  * Thomas Hood
    - debian/patches/
      + 10_move_asound_state_to_var   Update
      + 10_alsaconf_lspci_401         Remove obsolete
      + 15_amixer_doc_bug271556       Remove obsolete
      + 15_alsamixer_doc_space        Remove obsolete
      + 15_alsamixer_doc_keycase      Remove obsolete
      + 15_alsamixer_doc_mute         Remove obsolete
      + 15_arecord_doc_duration       Remove obsolete
      + 15_alsaconf_doc_config        Leave
      + 20_alsaconf_lspci             Remove obsolete
      + 50_aconnect_betwen            Remove obsolete
      + 90_debian_alsaconf_paths      Leave
      + 90_debian_alsaconf_idmode     Leave
      + 90_debian_alsaconf_cfgfile    Remove obsolete
      + 90_debian_alsaconf_notouch    Remove obsolete
      + 91_debian_alsaconf_noclear    Leave
      + 92_debian_alsaconf_restore    Leave
    - debian/postinst, prerm, postrm:
      + Eliminate unnecessarily complex asound.state-moving code
    - debian/control:
      + Depend on alsa-base >= 1.0.6a
      + Tweak Description
    - /usr/lib/alsa/modprobe-post-install:
      + Judge udev to be in use if /dev/.udevdb/ exists and
        only if kernel version >= 2.6
      + Only do "alsactl restore" if asound.state is present

 -- Jordi Mallach <jordi@debian.org>  Tue, 30 Nov 2004 14:56:54 +0100

alsa-utils (1.0.6-4) unstable; urgency=medium

  * Thomas Hood: 
    - Tweak Description
    - Fix up copyright file
    - 92_debian_alsaconf_restore:
      + Pass name of card driver to /usr/lib/alsa/modprobe-post-install
    - /usr/lib/alsa/modprobe-post-install:
      + run-parts /etc/alsa/modprobe-post-install.d/

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Oct 2004 19:12:03 +0200

alsa-utils (1.0.6-3) unstable; urgency=medium

  * Thomas Hood: 
    - Add 10_alsaconf_lspci_401.  Anticipates upstream change.
      Adapt 20_alsaconf_lspci and 90_debian_alsaconf_paths accordingly.
    - modprobe-post-install:
      + Don't "alsactl restore" if udev is active.
        This begins to address #273090.

 -- Jordi Mallach <jordi@debian.org>  Sun, 26 Sep 2004 18:14:36 +0200

alsa-utils (1.0.6-2) unstable; urgency=low

  * Thomas Hood: 
    - alsaconf.8
      + Describe new --config option
    - speaker-test.1
      + Add
  * Jordi Mallach:
    - Rebuild with a correct import to get the new alsaconf in.

 -- Jordi Mallach <jordi@debian.org>  Tue, 21 Sep 2004 23:57:43 +0200

alsa-utils (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Thomas Hood:
    - aconnect.c
      + 50_aconnect_betwen: 'betwen' -> 'between'
        (Closes: #272319)
    - /usr/lib/alsa/modprobe-post-install
      + Add
    - alsaconf.in:
      + Split up 90_debian_alsaconf into three patches:
        . 90_debian_alsaconf_paths
        . 90_debian_alsaconf_idmode
        . 90_debian_alsaconf_cfgfile
      + Add 90_debian_alsaconf_notouch:
        . Do not create /etc/modprobe.conf if it didn't exist before.
          (Closes: #270413)
        . Also, do not update /etc/modprobe.d/sound if it hasn't changed.
        . Set cleanup trap before creating temporary files (not after).
      + Add 91_debian_alsaconf_noclear:
        . Don't really clear screen; just newline  (Closes: #261850)
      + Add 92_debian_alsaconf_restore:
        . Set up module loader to do
          /usr/lib/alsa/modprobe-post-install (Closes: #268221)
    - amixer.1
      + Add 15_amixer_doc_bug271556:
        . Fix formatting  (Closes: #271556)
    - alsamixer.1
      + Add 15_alsamixer_doc_space which is nothing other than
        D. B. Harris's debian/patches/15_alsamixer_docfixes renamed
        (see the entry for 1.0.3-1).  Add it to debian/patches/00list
        so that it actually gets applied.
      + Add 15_alsamixer_doc_keycase:
        . Note that commands given in upper case can also be given
          in lower case  (Closes: #258860)
        . Note that h brings up a help screen  (Closes: #272346)
      + Add 15_alsamixer_doc_mute:
        . Note that < and > mute channels independently only if
          the hardware supports this.  (Closes: #262371)
    - arecord.1
      + Add 15_arecord_doc_duration:
        . Note that the default duration is zero  (Closes: #243965)
  * Jordi Mallach:
    - debian/control: add Thomas Hood to Uploaders.

 -- Jordi Mallach <jordi@debian.org>  Mon, 20 Sep 2004 18:22:44 +0200

alsa-utils (1.0.5-3) unstable; urgency=low

  * Jordi Mallach:
    - debian/patches/20_alsaconf_lspci.dpatch: apply patch from
      Sergio Gelato to make alsaconf work with the new lspci output
      (closes: #258303).
    - debian/patches/90_debian_alsaconf.dpatch: sync.

 -- Jordi Mallach <jordi@debian.org>  Thu, 15 Jul 2004 17:36:37 +0200

alsa-utils (1.0.5-2) unstable; urgency=low

  * Jordi Mallach:
    - debian/patches/90_debian_alsaconf.dpatch: update config file
      location (closes: #256698). Thanks, Fabio Massimo Di Nitto.
    - debian/control: don't suggest alsadriver, which isn't provided
      by anything anymore (closes: #258606).
    - debian/rules:
      + apply patch from Mikael Magnusson to apply patches before
        configure, to assure alsaconf.in gets the patches applied
        on time. Thanks! (closes: #257753).
      + don't set sysconfdir to /etc/alsa/0.9 anymore.
    - debian/dirs: remove etc/alsa/0.9 (closes: #254360).

 -- Jordi Mallach <jordi@debian.org>  Sun, 11 Jul 2004 00:36:25 +0200

alsa-utils (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    - debian/control: require pciutils (>= 1:2.1.11-4) to ensure lspci is in
    /usr/bin (closes: #249179).

 -- Jordi Mallach <jordi@debian.org>  Thu, 10 Jun 2004 01:52:00 +0200

alsa-utils (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    - debian/control:
      + change Maintainer name to "Debian ALSA Maintainers".
      + require alsa-base 1.0.4 or newer, as alsaconf now relies on the new
        location of the modutils file.
    - debian/postinst: remove update-menus call and a #DEBHELPER# marker
      instead.
    - debian/patches/90_debian_alsaconf.dpatch: update path to the Debian
      modutils file (0.9 -> 1.0) (closes: #233250, #243143).

 -- Jordi Mallach <jordi@debian.org>  Tue, 13 Apr 2004 23:21:37 +0200

alsa-utils (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Jordi Mallach:
    - debian/control: sync description with alsa-lib's.
  * David B. Harris:
    - debian/control:
      + Change my Uploaders: email address from my private address to
        dbharris@debian.org
      + Add pciutils to Depends, alsaconf uses lspci (Closes: #235203)
    - Move /etc/asound.state to /var/lib/alsa/asound.state:
      + alsaconf/alsaconf.in, alsactl/alsactl.{1,c} via
        patches/10_move_asound_state_to_var.dpatch: Move the default
        asound.state from /etc/ to /var/lib/alsa/ (Closes: #106244)
      + debian/postinst: If /etc/asound.state exists, copy it to
        /var/lib/alsa. alsa-base will require a versioned Depends: on this
        package so that restarting ALSA in its postinst will get the state
        from the right place.
      + debian/postrm: Add abort-{upgrade,install} support so that
        /var/lib/alsa/asound.state is moved back to /etc/ on a failed upgrade.
      + debian/prerm: New, support downgrading to versions of alsa-utils which
        store state in /etc/asound.state
    - alsamixer/alsamixer.1 via debian/patches/15_alsamixer_docfixes.dpatch:
      Fix documentation - the space key in alsamixer doesn't add or remove
      channels from the recording stream, it simply turns on recording for
      that channel and turns it off everywhere else. (Closes: #222431)
    - debian/menu: Use full path to /usr/sbin/su-to-root, as per lintian's
      suggestion.
    - debian/postinst: Call update-menus, thanks again to lintian for pointing
      that oversight out.

 -- David B. Harris <dbharris@debian.org>  Fri,  5 Mar 2004 14:40:31 -0500

alsa-utils (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    - debian/control:
      + bump the required libasound2-dev to 1.0.1, the version we ended up
        releasing.
      + bump Standards-Version to 3.6.1.0 (no changes required).
    - debian/menu: err, the package is alsa-utils, not alsaconf now.
  * Steve Kowalik:
    - Depend on modutils, or module-init-tools. (Closes: #225902)
  * David B Harris:
    - alsa-utils now Provides: audio-mixer (it has both amixer and alsamixer).
      (Closes: #231779)

 -- Jordi Mallach <jordi@debian.org>  Sun, 15 Feb 2004 00:38:09 +0100

alsa-utils (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Steve Kowalik:
    + dpatch-ify this package.
  * David B Harris:
    + Migrate alsaconf binary package (from source package alsa-driver) to
      this binary package, alsa-utils. Upstream folks have moved it. This was
      the sane place for it anyways.
      debian/control:
       - Add alsa-utils Conflicts/Replaces/Provides alsaconf
       - Add alsa-utils Conflicts with alsaconf-0.4, alsa-base-0.4
       - Add alsa-utils Depends: dialog | whiptail, modutils (>= 2.3.5-1)
       - Add debian/patches/90_debian_alsaconf.dpatch, based on the one from
         alsa-driver
       - Add debian/menu for alsaconf, copied directly from alsa-driver
    + debian/rules (binary-arch): Depend on patch-stamp instead of patch

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Jan 2004 14:55:08 +0100

alsa-utils (0.9.8-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Fri, 14 Nov 2003 13:16:02 +0100

alsa-utils (0.9.6-1) unstable; urgency=low

  * New upstream release.
  * David B. Harris:
    + Import new upstream version to our CVS tree.

 -- David B Harris <david@eelf.ddts.net>  Tue, 26 Aug 2003 14:39:49 +0200

alsa-utils (0.9.4-1) unstable; urgency=low

  * David B. Harris:
    + imported new upstream release.

 -- Jordi Mallach <jordi@debian.org>  Fri, 13 Jun 2003 13:21:14 +0200

alsa-utils (0.9.3-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sat, 10 May 2003 19:21:56 +0200

alsa-utils (0.9.2-2) unstable; urgency=low

  * Steve Kowalik
    - Rebuilt on a known-good installation.

 -- Steve Kowalik <stevenk@debian.org>  Mon, 31 Mar 2003 00:22:07 +1000

alsa-utils (0.9.2-1) unstable; urgency=low

  * David B Harris:
    - New upstream release.
  * Jordi Mallach:
    - bump dependencies to 0.9.2.

 -- Jordi Mallach <jordi@debian.org>  Fri, 28 Mar 2003 23:45:06 +0100

alsa-utils (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    - debian/control:
      + bump dependencies to 0.9.1.
      + Standards-Version: 3.5.9.0 (no changes).

 -- Jordi Mallach <jordi@debian.org>  Fri, 14 Mar 2003 17:00:00 +0100

alsa-utils (0.9.0rc8a-1) unstable; urgency=low

  * New upstream release
    + aplay segfaults should be fixed in this version, according to upstream
      (closes: #177522).
    + alsamixer should not fail anymore with ALI5451 South Bridge
      (closes: #174690).
  * debian/control: bump dependencies to 0.9.0rc8.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Mar 2003 12:53:33 +0100

alsa-utils (0.9.0rc7-2) unstable; urgency=low

  * debian/control:
    + add David B. Harris <david@eelf.ddts.net> to Uploaders,
      remove Martin Loschwitz.
    + Sync maintainer name with alsa-driver and alsa-lib.
    + Standards-Version: 3.5.8.0 (no changes).
  * debian/copyright: update maintainer names.
  * debian/docs: add more documentation.
  * debian/rules: build cleanups.
  * debian/compat: use debhelper compatibility 4.
  * The following are patches from David B. Harris:
  * alsamixer/alsamixer.c:
    + hide terminal cursor (closes: #81169).
    + add "Press Escape to quit" message to titlebar (closes: #178393).
  * aplay/aplay.c: Ensure that if both -l and -L are processed if
    both are provided (closes: #177521).
  * amixer/amixer.c: remove trailing white spaces from program output
    (closes: #177518).

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Feb 2003 03:43:16 -0500

alsa-utils (0.9.0rc7-1) unstable; urgency=low

  * New upstream release.
  * Daniel Kobras' aplay patch has been accepted upstream; removed.
  * debian/control:
    + change maintainer to "Debian Alsa Psychos
      <debian-alsa@lists.wedontsleep.org>", add Martin to Uploaders:.
    + bump Build-Depend on libasound-dev to (>= 0.9.0rc7-1).
    + bump alsa-base Dependency to (>= 0.9.0rc7-1).

 -- Jordi Mallach <jordi@debian.org>  Mon,  3 Feb 2003 03:57:44 +0100

alsa-utils (0.9.0rc6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + new Maintainers, Martin Loschwitz <madkiss@madkiss.org>,
      Jordi Mallach <jordi@debian.org> and Steve Kowalik <stevenk@debian.org>.
    + Build-Depend on autotools-dev and bump libasound2-dev to (>= 0.9.0rc6).
    + bump alsa-base dependency to 0.9.0rc6.
  * debian/copyright: add more packaging history and reword copyright terms.
  * debian/rules: replace config.{guess,sub} with symlinks to those provided
    by autotools and remove them on clean.
  * Maintainer upload, ack NMU's (closes: #100519, #124127, #70198, #98718,
    closes: #119986, #125802, #131165, #131875, #139318, #148323, #159822).

 -- Jordi Mallach <jordi@debian.org>  Tue, 10 Dec 2002 17:13:01 +0100

alsa-utils (0.9.0rc5-0.2) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/control: bump Build-Depends to libasound2-dev (>= 0.9.0rc5-0.2).

 -- Jordi Mallach <jordi@debian.org>  Wed, 30 Oct 2002 22:58:13 +0100

alsa-utils (0.9.0rc5-0.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * New upstream release.
  * debian/changelog: removed local emacs variables.
  * debian/control: bump alsa-base dependency to 0.9.0rc5.
  * debian/rules:
    + run "make distclean" instead of "make clean" when cleaning.
    + remove "version" on clean.
    + disable config.{guess,sub} autoupdate code. These aren't used in the
      original sources.

 -- Jordi Mallach <jordi@debian.org>  Wed, 30 Oct 2002 19:03:06 +0100

alsa-utils (0.9.0rc3-0.3) unstable; urgency=low

  * Rebuild against the latest libasound2-dev.
  * debian/control: build-dep on libasound2-dev (>= 0.9.0rc3-0.3).

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 Oct 2002 19:43:16 +0200

alsa-utils (0.9.0rc3-0.2) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/control: Build-Depend on versioned debhelper (>= 4.0.0).
  * debian/rules:
    + support DEB_BUILD_OPTIONS "noopt", drop "debug".
    + use DH_COMPAT=4.
  * Bas Zoetekouw reports that rc1 works for his EMU10K1 card
    (closes: #100519).
  * aplay.1/arecord.1 manpages seem to be up to date (closes: #98718).
  * Build-Depends were added long ago (closes: #70198).
  * alsa-utils and alsa-base versions are synced in both stable and unstable.
    alsa-utils also now depends on the same version of alsa-base, so hopefully
    this won't happen again (closes: #119986).
  * aplay/aplay.c: patch from Daniel Kobras which fixes generation of buggy
    wav files (closes: #131875).

 -- Jordi Mallach <jordi@debian.org>  Sun, 22 Sep 2002 18:24:19 +0200

alsa-utils (0.9.0rc3-0.1) unstable; urgency=low

  * Non-Maintainer Upload. Most of the work was done by
    Bastian Kleineidam <calvin@debian.org>.
  * New upstream release (closes: #139318).
  * Standards-Version: 3.5.6.1.
  * Use absolute filenames in dh_link (closes: #148323).
  * Testing/stable versions are consistent (closes: #124127).
  * Update dependencies version of alsa-base to rc3.
  * Add arecord symlinks in debian/links.
  * Conflict with alsa-utils-0.5.

 -- Jordi Mallach <jordi@debian.org>  Sun, 08 Sep 2002 17:48:12 +0200

alsa-utils (0.9.0rc1-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.5.6.0

 -- Masato Taruishi <taru@debian.org>  Mon, 13 May 2002 00:51:01 +0900

alsa-utils (0.9.0beta12-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Wed,  3 Apr 2002 14:58:38 +0900

alsa-utils (0.9.0beta10a-2) unstable; urgency=low

  * Added alsactl symlink (closes: #124321).

 -- Masato Taruishi <taru@debian.org>  Mon, 17 Dec 2001 19:55:38 +0900

alsa-utils (0.9.0beta10a-1) unstable; urgency=low

  * New upstream release
  * Used new alsa-base's version select framework.

 -- Masato Taruishi <taru@debian.org>  Sat, 15 Dec 2001 13:03:17 +0900

alsa-utils (0.9.0beta9-1) unstable; urgency=low

  * New upstream release
  * Removed invocation of automake and autoconf (closes: #115166).

 -- Masato Taruishi <taru@debian.org>  Tue, 27 Nov 2001 04:23:06 +0900

alsa-utils (0.9.0beta7-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Thu,  6 Sep 2001 16:34:26 +0900

alsa-utils (0.9.0beta4-1) unstable; urgency=low

  * New upstream release (closes: #97753, #97761)

 -- Masato Taruishi <taru@debian.org>  Thu, 17 May 2001 19:06:01 +0900

alsa-utils (0.9.0beta3-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Sun, 13 May 2001 14:17:24 +0900

alsa-utils (0.5.9b-2) unstable; urgency=low

  * Priority now optional.

 -- Masato Taruishi <taru@debian.org>  Mon,  4 Dec 2000 21:23:10 +0900

alsa-utils (0.5.9b-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Fri,  6 Oct 2000 00:37:40 +0900

alsa-utils (0.5.9-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Thu, 17 Aug 2000 12:20:29 +0900

alsa-utils (0.5.8-1) unstable; urgency=low

  * new upstream release.

 -- Masato Taruishi <taru@debian.org>  Tue,  6 Jun 2000 22:22:32 +0900

alsa-utils (0.5.7-3) unstable; urgency=low

  * Added Build-Depends: libasound1-dev and more. (closes: #63570)

 -- Masato Taruishi <taru@debian.org>  Sat,  6 May 2000 01:31:30 +0900

alsa-utils (0.5.7-2) unstable; urgency=low

  * Added alsautils to install alsa-utils automatically if
     an old alsautils installed.

 -- Masato Taruishi <taru@debian.org>  Mon, 10 Apr 2000 01:37:57 +0900

alsa-utils (0.5.7-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Fri,  7 Apr 2000 17:28:40 +0900

alsa-utils (0.5.6-2) unstable; urgency=low

  * Fixed debian/copyright.

 -- Masato Taruishi <taru@debian.org>  Wed, 15 Mar 2000 01:00:56 +0900

alsa-utils (0.5.6-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Sun, 12 Mar 2000 01:42:26 +0900

alsa-utils (0.5.5-2) unstable; urgency=low

  * Removed version name from this source name.

 -- Masato Taruishi <taru@debian.org>  Sat, 11 Mar 2000 04:50:41 +0900

alsa-utils-0.5 (0.5.5-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Sat,  4 Mar 2000 06:49:25 +0900

alsa-utils-0.5 (0.5.4-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Tue, 29 Feb 2000 18:56:42 +0900

alsa-utils-0.5 (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Changed source name.

 -- Masato Taruishi <taru@debian.org>  Fri, 18 Feb 2000 00:26:34 +0900

alsautils (0.4.1-5) unstable; urgency=low

  * Fixed wrong command name. (Closes: #49577)

 -- Masato Taruishi <taru@debian.org>  Tue,  9 Nov 1999 02:25:02 +0900

alsautils (0.4.1-4) unstable; urgency=low

  * Changed the hard coding config_read dir. Note that this is a 
    temporary solution. (Closes: #49116)

 -- Masato Taruishi <taru@debian.org>  Fri,  5 Nov 1999 00:29:54 +0900

alsautils (0.4.1-3) unstable; urgency=low

  * Rebuild with new libasound0.4 with new shlibs info. (Closes: #48158, #48226, #48227)

 -- Masato Taruishi <taru@debian.org>  Mon, 25 Oct 1999 21:42:01 +0900

alsautils (0.4.1-2) unstable; urgency=low

  * New upstream release.
  * Changed the maintainer.
  * Comment out xpm file entries in /etc/xamixer.conf. (Closes #45368)

 -- Masato Taruishi <taru@debian.org>  Sun, 17 Oct 1999 05:16:38 +0900

alsautils (0.3.2-1) unstable; urgency=low

  * New upstream version.  Compiled with new alsalib (0.3.2)

 -- David Huggins-Daines <dhd@debian.org>  Fri, 18 Jun 1999 15:09:10 -0400

alsautils (0.3.0-pre3-1) unstable; urgency=low

  * New upstream version
  * Compiled with alsalib 0.3.0-pre3a
  * Cleanup debian/rules
  * Change priority to extra

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  3 Feb 1999 00:45:43 +0100

alsautils (0.0.7-2) unstable; urgency=low

  * Recompiled with new alsalib (0.3.0)

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 23 Jan 1999 21:15:53 +0100

alsautils (0.0.7-1) unstable; urgency=low

  * New upstream version
  * Fix a couple of lintian errors & warnings

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 15 Nov 1998 02:32:50 +0100

alsautils (0.0.6-2) frozen unstable; urgency=low

  * Recompiled with ncurses4

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  2 Nov 1998 15:47:37 +0100

alsautils (0.0.6-1) unstable; urgency=low

  * New upstream version
  * Suggest alsadriver

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 16 Sep 1998 03:01:48 +0200

alsautils (0.0.4-1) unstable; urgency=low

  * New upstream version
  * Don't include init-file, that's for alsadriver
  * Call dh_undocumented for all binaries
  * Fix clean-target of aplay-makefile

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  3 Jul 1998 00:13:03 +0200

alsautils (0.0.3-2) unstable; urgency=low

  * Forgot to include original source.

 -- Wichert Akkerman <wakkerma@debian.org>  Tue,  9 Jun 1998 21:34:31 +0200

alsautils (0.0.3-1) unstable; urgency=low

  * Initial release

 -- Wichert Akkerman <wakkerma@debian.org>  Sun,  7 Jun 1998 16:53:01 +0200

